/*
Navicat MySQL Data Transfer

Source Server         : 捷道
Source Server Version : 50560
Source Host           : 120.79.170.12:3306
Source Database       : qbt_jdhyxt_develop

Target Server Type    : MYSQL
Target Server Version : 50560
File Encoding         : 65001

Date: 2022-05-11 13:40:21
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for ecw_abnormal
-- ----------------------------
DROP TABLE IF EXISTS `ecw_abnormal`;
CREATE TABLE `ecw_abnormal` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0' COMMENT '出现异常的订单id',
  `xdgid` bigint DEFAULT '0' COMMENT '出现异常的下单货物详情id',
  `rcgid` bigint DEFAULT '0' COMMENT '出现异常的入仓货物详情id',
  `zggid` bigint DEFAULT '0' COMMENT '出现异常的装柜货物详情id',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '异常标题',
  `title_en` varchar(255) DEFAULT NULL,
  `content_zh` text COMMENT '异常详情',
  `content_en` text,
  `addtime` char(50) DEFAULT '0' COMMENT '状态',
  `status` char(11) DEFAULT '0' COMMENT '异常处理状态：0未处理；1在处理；2已处理',
  `type` char(5) DEFAULT 'd' COMMENT '异常类型：d始发地异常；o目的地异常',
  `author` varchar(255) DEFAULT NULL COMMENT '操作人',
  `atype` char(50) DEFAULT 'bj' COMMENT '错误类型：未报价bj；多箱dx；少箱sx；无发货人信息fhr；无收货人信息shr；无运输方式ys；无目的仓库mdck；无始发仓库sfck；产品需要预付运费goods_prepaid；货物丢失：unloss，货物增多：unincrease  货物破损：undamaged  货物浸水：unsoak，单证异常documents',
  `beizhu` text COMMENT '备注',
  `money` decimal(10,4) unsigned DEFAULT '0.0000' COMMENT '产品需要预付运费 收款金额',
  `sms_status` tinyint(3) DEFAULT NULL COMMENT '入仓追加短信标志，入仓：1，追加：2',
  `ascertain_reason` tinyint(3) DEFAULT NULL COMMENT '查明原因，1海关查验扣货，2仓库清点失误，3中国仓库漏装，4manifest核对出错，5封柜图和卸柜图不一样，6淋湿，7浸水，8运输途中破损，9在仓破损',
  `results` tinyint(3) DEFAULT NULL COMMENT '处理结果，1已确认无误，2仓库已找回，3已确认丢失，协商赔偿，4已增加提单，5已修改提单，6无需赔偿，7协商赔偿，8已确认部分破损，协商赔偿，9已确认全部破损，协商赔偿，10破损（易碎品不在赔付范围）',
  `currency` int(11) DEFAULT NULL COMMENT '货币单位',
  `details` varchar(255) DEFAULT NULL COMMENT '详情',
  `amount` int(11) DEFAULT NULL COMMENT '卸柜数量',
  `product_id` int(11) DEFAULT NULL COMMENT '产品id',
  `handler_type` tinyint(4) NOT NULL COMMENT '手动异常类型 0为其他，1为货损，2为打木架/托，3为纸箱打包，4为易燃品',
  `is_handler` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否为手动异常，0为否 1为是',
  `trans_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '垫付的内陆运输费用',
  `plate_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '打木架/托费用',
  `box_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '纸箱打包费用',
  `batch_renew` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '批量更新处理人',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `xdgid` (`xdgid`) USING BTREE,
  KEY `rcgid` (`rcgid`) USING BTREE,
  KEY `type` (`type`) USING BTREE,
  KEY `type_2` (`type`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY (`create_time`)
) ENGINE=MyISAM COMMENT='订单异常记录表';

-- ----------------------------
-- Table structure for ecw_abnormal_thumb
-- ----------------------------
DROP TABLE IF EXISTS `ecw_abnormal_thumb`;
CREATE TABLE `ecw_abnormal_thumb` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT '图片地址',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '图片状态 0为正常 -1为已删除',
  `admin_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '管理员id',
  `abnormal_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '异常id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) ENGINE=InnoDB COMMENT='订单异常图片表';

-- ----------------------------
-- Table structure for ecw_admin_card
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_card`;
CREATE TABLE `ecw_admin_card` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '用户id',
  `name` varchar(255) DEFAULT NULL COMMENT '用户名',
  `cardtype` char(100) DEFAULT NULL COMMENT '证件类型',
  `cardnumber` char(50) DEFAULT NULL COMMENT '证件号码',
  `img1` varchar(255) DEFAULT NULL COMMENT '身份证正面照',
  `img2` varchar(255) DEFAULT NULL COMMENT '身份证背面照',
  `img3` varchar(255) DEFAULT NULL COMMENT '手持身份证照',
  `starttime` char(20) DEFAULT NULL COMMENT '有效开始时间',
  `endtime` char(20) DEFAULT NULL COMMENT '有效结束时间',
  `status` char(11) DEFAULT '0' COMMENT '0审核中；1审核通过；2审核不通过；3已过期',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY (`create_time`)
) ENGINE=InnoDB COMMENT='用户实名认证表';

-- ----------------------------
-- Table structure for ecw_admin_client
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_client`;
CREATE TABLE `ecw_admin_client` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0' COMMENT '分组id',
  `uid` bigint DEFAULT '0' COMMENT '用户id',
  `aorder` int(11) DEFAULT '1' COMMENT '排序',
  `name` varchar(255) DEFAULT NULL COMMENT '姓名',
  `company` varchar(255) DEFAULT NULL COMMENT '公司',
  `maitou` text COMMENT '唛头',
  `phone` text COMMENT '手机号码(不带区号)',
  `email` text COMMENT '邮箱',
  `address` text COMMENT '地址',
  `iso2` varchar(20) DEFAULT '' COMMENT '国家简称',
  `dialCode` smallint(10) NOT NULL DEFAULT '0' COMMENT '国家区号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY (`create_time`)
) ENGINE=InnoDB COMMENT='我的客户表';

-- ----------------------------
-- Table structure for ecw_admin_client_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_client_type`;
CREATE TABLE `ecw_admin_client_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '用户id',
  `aorder` int(11) DEFAULT NULL COMMENT '排序',
  `title` char(100) DEFAULT NULL COMMENT '分组名称',
  `beizhu` varchar(255) DEFAULT NULL COMMENT '备注信息',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) ENGINE=InnoDB COMMENT='我的客户分组表';

-- ----------------------------
-- Table structure for ecw_admin_clienta
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_clienta`;
CREATE TABLE `ecw_admin_clienta` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0' COMMENT '分组id',
  `uid` bigint DEFAULT '0' COMMENT '用户id',
  `aorder` int(11) DEFAULT '1' COMMENT '排序',
  `name` varchar(255) DEFAULT NULL COMMENT '供应商名称',
  `company` varchar(255) DEFAULT NULL COMMENT '供应商公司名称',
  `maitou` text COMMENT '唛头',
  `phone` text COMMENT '电话',
  `email` text COMMENT '邮箱',
  `address` text COMMENT '地址',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
)COMMENT='我的供应商表';

-- ----------------------------
-- Table structure for ecw_admin_clienta_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_clienta_type`;
CREATE TABLE `ecw_admin_clienta_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '用户id',
  `aorder` int(11) DEFAULT NULL COMMENT '排序',
  `title` char(100) DEFAULT NULL COMMENT '分组名称',
  `beizhu` varchar(255) DEFAULT NULL COMMENT '备注信息',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
)COMMENT='我的供应商分组表';

-- ----------------------------
-- Table structure for ecw_admin_company
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_company`;
CREATE TABLE `ecw_admin_company` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL,
  `name_zh` varchar(500) DEFAULT NULL COMMENT '中文名称',
  `name_en` varchar(500) DEFAULT NULL COMMENT '英文名称',
  `info` text COMMENT '信息',
  `url` varchar(255) DEFAULT NULL,
  `address` varchar(500) DEFAULT NULL COMMENT '地址',
  `pop` text,
  `brank` text COMMENT '银行卡信息',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='用户公司表';

-- ----------------------------
-- Table structure for ecw_admin_coupon
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_coupon`;
CREATE TABLE `ecw_admin_coupon` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0',
  `uid` bigint DEFAULT '0' COMMENT '所属用户id；0表示需要验证码使用',
  `jine` char(100) DEFAULT '0' COMMENT '优惠券金额',
  `jine_unit` char(50) DEFAULT '0' COMMENT '优惠券金额单位',
  `addtime` char(20) DEFAULT '0' COMMENT '发放时间',
  `starttime` char(50) DEFAULT NULL COMMENT '生效时间',
  `endtime` char(50) DEFAULT NULL COMMENT '截止时间',
  `usedtime` char(20) DEFAULT '0' COMMENT '使用时间',
  `status` char(20) DEFAULT '0' COMMENT '0未领取；1，已领取；2已使用;3已过期',
  `code` char(50) DEFAULT '0' COMMENT '校验码',
  `xianzhi` char(50) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
)COMMENT='个人优惠券表';

-- ----------------------------
-- Table structure for ecw_admin_integral
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_integral`;
CREATE TABLE `ecw_admin_integral` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL,
  `title_zh` varchar(255) DEFAULT NULL,
  `title_en` varchar(255) DEFAULT NULL,
  `type` char(50) DEFAULT '+' COMMENT '+ -',
  `fen` char(100) DEFAULT '0',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) ENGINE=MyISAM COMMENT='积分记录表';

-- ----------------------------
-- Table structure for ecw_admin_level
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_level`;
CREATE TABLE `ecw_admin_level` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(100) DEFAULT NULL COMMENT '中文名称',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文名称',
  `aorder` char(20) DEFAULT '0' COMMENT '排序值',
  `start` datetime DEFAULT NULL,
  `end` datetime DEFAULT NULL,
  `autosj` char(5) DEFAULT 'y',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='用户等级表';

-- ----------------------------
-- Table structure for ecw_admin_license
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_license`;
CREATE TABLE `ecw_admin_license` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '用户id',
  `name` varchar(255) DEFAULT NULL COMMENT '用户姓名',
  `company` varchar(255) DEFAULT NULL COMMENT '公司',
  `licensenumber` char(50) DEFAULT NULL COMMENT '营业执照编号',
  `img1` varchar(255) DEFAULT NULL COMMENT '营业执照正面照',
  `img2` varchar(255) DEFAULT NULL COMMENT '营业执照背面照',
  `img3` varchar(255) DEFAULT NULL COMMENT '手持营业执照',
  `starttime` char(20) DEFAULT NULL COMMENT '有效开始时间',
  `endtime` char(20) DEFAULT NULL COMMENT '有效结束时间',
  `status` char(11) DEFAULT '0' COMMENT '0审核中；1审核通过；2审核不通过；3已过期',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='用户营业执照表';

-- ----------------------------
-- Table structure for ecw_admin_log
-- ----------------------------
DROP TABLE IF EXISTS `ecw_admin_log`;
CREATE TABLE `ecw_admin_log` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '用户id',
  `pid` bigint DEFAULT NULL COMMENT '用户id 与uid值一致',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `ip` char(100) DEFAULT NULL COMMENT 'IP地址',
  `address` varchar(500) DEFAULT NULL COMMENT 'IP地址对应的地区',
  `author` char(100) DEFAULT NULL COMMENT '用户名',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`uid`)
) ENGINE=MyISAM COMMENT='用户操作日志';

-- ----------------------------
-- Table structure for ecw_aphone
-- ----------------------------
DROP TABLE IF EXISTS `ecw_aphone`;
CREATE TABLE `ecw_aphone` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `userid` bigint NOT NULL COMMENT '用户ID',
  `phone` varchar(11) NOT NULL COMMENT '手机号码',
  `bang_status` char(5) NOT NULL DEFAULT 'n' COMMENT 'n为未绑定y为已绑定',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='用户手机号绑定表';

-- ----------------------------
-- Table structure for ecw_ark
-- ----------------------------
DROP TABLE IF EXISTS `ecw_ark`;
CREATE TABLE `ecw_ark` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` char(100) DEFAULT NULL COMMENT '标题',
  `volume` varchar(255) DEFAULT NULL COMMENT '体积',
  `weight` varchar(255) DEFAULT NULL COMMENT '重量',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `is_show` char(15) DEFAULT 'y' COMMENT '是否显示，y，n',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='柜型表';

-- ----------------------------
-- Table structure for ecw_bank_account
-- ----------------------------
DROP TABLE IF EXISTS `ecw_bank_account`;
CREATE TABLE `ecw_bank_account` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `ba_account_name` varchar(30) NOT NULL DEFAULT '' COMMENT '户名',
  `ba_bank_name` varchar(50) NOT NULL DEFAULT '' COMMENT '开户行',
  `ba_account_num` varchar(20) NOT NULL DEFAULT '' COMMENT '账号',
  `ba_swift_code` varchar(30) NOT NULL DEFAULT '' COMMENT '银行代码',
  `ba_bank_add` varchar(255) NOT NULL DEFAULT '' COMMENT '户行地址',
  `ba_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '类型（1公账,2私账）',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='银行账号表';

-- ----------------------------
-- Table structure for ecw_banner
-- ----------------------------
DROP TABLE IF EXISTS `ecw_banner`;
CREATE TABLE `ecw_banner` (
  `id` int(11) NOT NULL,
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文名称',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文名称',
  `content_zh` text COMMENT '中文详情',
  `content_en` text COMMENT '英文详情',
  `aorder` char(11) DEFAULT NULL COMMENT '排序',
  `img` varchar(255) DEFAULT NULL COMMENT '广告图',
  `url` varchar(255) DEFAULT NULL COMMENT '链接',
  `show` char(50) DEFAULT 'y' COMMENT '是否显示，y,n',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='banner表';

-- ----------------------------
-- Table structure for ecw_big_goods
-- ----------------------------
DROP TABLE IF EXISTS `ecw_big_goods`;
CREATE TABLE `ecw_big_goods` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `country_id` varchar(100) NOT NULL DEFAULT '100' COMMENT '国家',
  `city_id` varchar(100) NOT NULL DEFAULT '' COMMENT '城市',
  `order_type` varchar(10) NOT NULL DEFAULT '' COMMENT '订单类型：普货：1，重货：2',
  `judge_premise` varchar(10) NOT NULL DEFAULT '' COMMENT '判断前提，单票：1，单件：2',
  `judge_symbol` varchar(10) NOT NULL DEFAULT '' COMMENT '判断符号：>,<,=,>=,<=',
  `judge_num` decimal(10,2) NOT NULL COMMENT '判断条件，数量',
  `judge_unit` tinyint(3) NOT NULL DEFAULT '1' COMMENT '判断条件，单位，方数：1，重量：2',
  `in_network` tinyint(3) NOT NULL DEFAULT '1' COMMENT '是否在提货点，在：1，不在：2',
  `network` varchar(100) NOT NULL DEFAULT '' COMMENT '提货点',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
);

-- ----------------------------
-- Table structure for ecw_box
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box`;
CREATE TABLE `ecw_box` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `number` char(50) DEFAULT '0' COMMENT '自编号',
  `numbers` char(50) DEFAULT '0' COMMENT '柜型',
  `type` int(5) DEFAULT '1' COMMENT '类型',
  `statics` char(50) DEFAULT '0' COMMENT '状态：0预装；1已装（封柜）；2已开船；3已到港；4已清关；5已卸货',
  `qiyun` int(11) DEFAULT NULL COMMENT '起运港id',
  `qiyuns` text COMMENT '起运港详情',
  `mudi` int(11) DEFAULT NULL COMMENT '目前的港id',
  `mudis` text COMMENT '目的港详情',
  `yz_date` datetime DEFAULT NULL COMMENT '预装时间',
  `chuandong` varchar(255) DEFAULT NULL,
  `daili` varchar(255) DEFAULT NULL COMMENT '代理',
  `gx` int(11) DEFAULT NULL COMMENT '柜类型',
  `gxs` text COMMENT '柜类型详情',
  `products` text COMMENT '装柜部分',
  `wenti` text,
  `pass` char(10) DEFAULT '0' COMMENT '0未提交；1审核中；2通过；3驳回',
  `fengtime` datetime DEFAULT NULL COMMENT '封柜时间',
  `chutime` datetime DEFAULT NULL COMMENT '出仓时间',
  `daotime` datetime DEFAULT NULL COMMENT '到港时间',
  `qgtime` datetime DEFAULT NULL COMMENT '清关时间',
  `is_sock` int(11) DEFAULT '0' COMMENT '0未锁定，1已锁定',
  `transport_id` int(11) DEFAULT NULL COMMENT '运输id',
  `admin_id` int(11) DEFAULT NULL COMMENT '管理员id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `number` (`number`) USING BTREE,
  KEY `statics` (`statics`) USING BTREE,
  KEY `type` (`type`) USING BTREE,
  KEY `qiyun` (`qiyun`) USING BTREE,
  KEY `pass` (`pass`) USING BTREE
) COMMENT='货柜表';

-- ----------------------------
-- Table structure for ecw_box_abnormal
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_abnormal`;
CREATE TABLE `ecw_box_abnormal` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `box_id` int(11) DEFAULT '0' COMMENT '出现异常的柜id',
  `box_number` char(50) CHARACTER SET utf8 DEFAULT '0' COMMENT '出现异常的柜number',
  `op_steps_id` int(255) DEFAULT NULL COMMENT '操作步骤id',
  `op_steps_zh` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '操作步骤中文名称',
  `op_steps_en` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '操作步骤英文名称',
  `supplier_id` int(11) DEFAULT NULL COMMENT '供应商id',
  `supplier_zh` varchar(255) DEFAULT NULL COMMENT '供应商中文',
  `supplier_en` varchar(255) DEFAULT NULL COMMENT '供应商英文',
  `bill_abn_id` int(11) DEFAULT NULL COMMENT '票异常id',
  `bill_abn_zh` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '票异常中文名称',
  `bill_abn_en` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '票异常英文名称',
  `abn_detail` text CHARACTER SET utf8 COMMENT '票异常详情',
  `abn_start_time` int(11) unsigned DEFAULT '0' COMMENT '异常开始时间',
  `abn_end_time` int(11) DEFAULT NULL COMMENT '异常结束时间',
  `order_status` tinyint(3) DEFAULT NULL COMMENT '是否更新订单状态，1：是，0否',
  `content_zh` text CHARACTER SET utf8 COMMENT '中文内容',
  `content_en` text CHARACTER SET utf8 COMMENT '英文内容',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) ENGINE=MyISAM COMMENT='货柜异常记录表';

-- ----------------------------
-- Table structure for ecw_box_abnormal_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_abnormal_type`;
CREATE TABLE `ecw_box_abnormal_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title_zh` varchar(25) NOT NULL DEFAULT '' COMMENT '中文名称',
  `title_en` varchar(30) NOT NULL DEFAULT '' COMMENT '英文名称',
  `sort` int(11) NOT NULL DEFAULT '99' COMMENT '排序',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否显示，默认显示',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='货柜异常类型表';

-- ----------------------------
-- Table structure for ecw_box_approval
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_approval`;
CREATE TABLE `ecw_box_approval` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `box_id` bigint DEFAULT NULL COMMENT '柜子id',
  `approval_type` int(11) DEFAULT NULL COMMENT '审批类型，1预装，2封柜，3卸柜',
  `approval_type_name` varchar(100) DEFAULT NULL COMMENT '审批类型name',
  `approval_describe` varchar(255) DEFAULT NULL COMMENT '审批描述',
  `approval_content` longtext COMMENT '票原内容',
  `approval_content_new` longtext COMMENT '票修改内容',
  `applicant_id` int(11) DEFAULT NULL COMMENT '申请人id',
  `applicant_name` varchar(100) DEFAULT NULL COMMENT '申请人name',
  `approval_id` int(11) DEFAULT NULL COMMENT '审批人id',
  `approval_name` varchar(100) DEFAULT NULL COMMENT '审批人name',
  `approval_reply` varchar(500) DEFAULT NULL COMMENT '审批回复',
  `approval_status` tinyint(3) DEFAULT NULL COMMENT '状态，0待审批，1通过并申请复核，2通过，3拒绝，反审：-1',
  `check_id` int(11) DEFAULT NULL COMMENT '复核人id',
  `check_name` varchar(100) DEFAULT NULL COMMENT '复核人name',
  `check_reply` varchar(500) DEFAULT NULL COMMENT '复核回复',
  `notifier_id` int(11) DEFAULT NULL COMMENT '通知人id',
  `notifier_name` varchar(255) DEFAULT NULL COMMENT '通知人名称',
  `check_at` datetime DEFAULT NULL COMMENT '复核时间',
  `audit_at` datetime DEFAULT NULL COMMENT '审批时间',
  `box_number` varchar(255) NOT NULL DEFAULT '' COMMENT '柜子number',
  `reason` varchar(255) NOT NULL DEFAULT '' COMMENT '反审原因',
  `remarks` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `order_ids` varchar(255) NOT NULL DEFAULT '' COMMENT '反审前柜子内订单id集合',
  `back_status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '反审核属性：不反审：0，反审核：1',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='柜子审核表';

-- ----------------------------
-- Table structure for ecw_box_approval_back
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_approval_back`;
CREATE TABLE `ecw_box_approval_back` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `app_id` bigint NOT NULL DEFAULT '0' COMMENT '审批表id',
  `back_at` int(11) NOT NULL DEFAULT '0' COMMENT '反审时间',
  `applicant_id` int(11) NOT NULL DEFAULT '0' COMMENT '反审人、申请人id',
  `applicant_name` varchar(255) NOT NULL DEFAULT '' COMMENT '反审人、申请人name',
  `reason` varchar(255) NOT NULL COMMENT '反审原因',
  `approval_at` int(11) NOT NULL DEFAULT '0' COMMENT '审批时间',
  `approval_id` int(11) NOT NULL COMMENT '审批人id',
  `approval_name` varchar(255) NOT NULL COMMENT '审批人name',
  `approval_status` varchar(255) NOT NULL DEFAULT '' COMMENT '状态，结果：状态，1通过，2拒绝',
  `approval_reply` varchar(255) NOT NULL DEFAULT '' COMMENT '审批回复',
  `notifier_id` int(11) NOT NULL DEFAULT '0' COMMENT '通知人id',
  `notifier_name` varchar(255) NOT NULL DEFAULT '' COMMENT '通知人名称',
  `remarks` varchar(255) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='柜子反审表';

-- ----------------------------
-- Table structure for ecw_box_bill_product
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_bill_product`;
CREATE TABLE `ecw_box_bill_product` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title_zh` varchar(25) NOT NULL DEFAULT '' COMMENT '中文名称',
  `title_en` varchar(30) NOT NULL DEFAULT '' COMMENT '英文名称',
  `sort` int(11) NOT NULL DEFAULT '99' COMMENT '排序',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否显示，默认显示',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='提单品名';

-- ----------------------------
-- Table structure for ecw_box_caches
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_caches`;
CREATE TABLE `ecw_box_caches` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '柜子id',
  `number` varchar(255) DEFAULT NULL COMMENT '柜子编号',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '操作中文名称',
  `title_en` varchar(255) DEFAULT NULL COMMENT '操作英文名称',
  `content_zh` varchar(500) DEFAULT NULL COMMENT '操作中文详情',
  `content_en` varchar(500) DEFAULT NULL COMMENT '操作英文详情',
  `author` varchar(255) DEFAULT NULL COMMENT '操作人',
  `statics` char(50) DEFAULT NULL COMMENT '状态',
  `admin_id` int(11) DEFAULT NULL COMMENT '操作员id',
  `steps_id` int(11) DEFAULT NULL COMMENT '操作步骤id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid` (`pid`) USING BTREE,
  KEY `number` (`number`) USING BTREE,
  KEY `statics` (`statics`) USING BTREE
) COMMENT='货柜操作记录表';

-- ----------------------------
-- Table structure for ecw_box_chaidan
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_chaidan`;
CREATE TABLE `ecw_box_chaidan` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `order_id` bigint DEFAULT NULL COMMENT '订单id',
  `pid` bigint DEFAULT NULL COMMENT '入仓id',
  `num` char(100) DEFAULT NULL COMMENT '数量',
  `author` varchar(255) DEFAULT NULL COMMENT '操作人',
  `transport_id` bigint NOT NULL COMMENT '货运方式id',
  `shifadi_id` bigint NOT NULL COMMENT '始发地id',
  `mudidi_id` bigint NOT NULL COMMENT '目的地id',
  `number` char(50) NOT NULL DEFAULT '' COMMENT '新生成的订单号',
  `parent_number` char(50) NOT NULL DEFAULT '' COMMENT '父级订单号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `order_id` (`order_id`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `author` (`author`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=49 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='货柜拆单表';

-- ----------------------------
-- Table structure for ecw_box_cost
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_cost`;
CREATE TABLE `ecw_box_cost` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `op_steps_id` bigint DEFAULT NULL COMMENT '操作步骤id',
  `op_steps_zh` varchar(100) DEFAULT NULL COMMENT '操作步骤中文名称',
  `op_steps_en` varchar(100) DEFAULT NULL COMMENT '操作步骤英文名称',
  `cost_type_id` bigint DEFAULT NULL COMMENT '费用类型id',
  `cost_type_zh` varchar(100) DEFAULT NULL COMMENT '费用类型中文名称',
  `cost_type_en` varchar(100) DEFAULT NULL COMMENT '费用类型英文名称',
  `supplier_id` bigint DEFAULT NULL COMMENT '供应商id',
  `supplier_zh` varchar(100) DEFAULT NULL COMMENT '供应商中文名称',
  `supplier_en` varchar(100) DEFAULT NULL COMMENT '供应商英文名称',
  `amount` decimal(10,4) DEFAULT NULL COMMENT '金额',
  `currency_unit` int(11) DEFAULT NULL COMMENT '货币单位',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `extra_cost_bear` tinyint(3) DEFAULT NULL COMMENT '额外费用承担，0：我司承担，1：客户承担',
  `box_id` bigint DEFAULT NULL COMMENT '柜 id',
  `box_number` varchar(100) DEFAULT NULL COMMENT '柜 number',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='柜子费用表';

-- ----------------------------
-- Table structure for ecw_box_goods_unload
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_goods_unload`;
CREATE TABLE `ecw_box_goods_unload` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `bid` bigint DEFAULT '0' COMMENT '柜编号',
  `bkey` bigint DEFAULT '0' COMMENT '柜部分编号',
  `pid` bigint DEFAULT '0' COMMENT '货物订单号',
  `qrcode` varchar(255) CHARACTER SET utf8 DEFAULT '0' COMMENT '二维码编号',
  `title_zh` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '卸柜方式中文标题',
  `title_en` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '卸柜方式英文标题',
  `beizhu` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '备注信息',
  `old_qrcode` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '产单前的订单qrcode',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `bid` (`bid`) USING BTREE,
  KEY `bkey` (`bkey`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `qrcode` (`qrcode`) USING BTREE
) COMMENT='货柜卸柜货物表';

-- ----------------------------
-- Table structure for ecw_box_goods_yu
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_goods_yu`;
CREATE TABLE `ecw_box_goods_yu` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `bid` bigint DEFAULT '0' COMMENT '柜编号',
  `bkey` bigint DEFAULT '0' COMMENT '柜部分编号',
  `pid` bigint DEFAULT '0' COMMENT '货物订单号',
  `qrcode` varchar(255) DEFAULT '0' COMMENT '二维码编号',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '预装方式中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '预装方式英文标题',
  `beizhu` varchar(255) DEFAULT NULL COMMENT '备注信息',
  `old_qrcode` varchar(255) NOT NULL DEFAULT '' COMMENT '产单前的订单qrcode',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `bid` (`bid`) USING BTREE,
  KEY `bkey` (`bkey`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `qrcode` (`qrcode`) USING BTREE
) COMMENT='货柜装柜货物表';

-- ----------------------------
-- Table structure for ecw_box_num
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_num`;
CREATE TABLE `ecw_box_num` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `qz` varchar(255) DEFAULT NULL COMMENT '前缀',
  `zz` bigint DEFAULT NULL COMMENT '编号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='柜子编号表';

-- ----------------------------
-- Table structure for ecw_box_apply
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_apply`;
CREATE TABLE `ecw_box_apply` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '柜子id',
  `author` varchar(255) DEFAULT NULL COMMENT '操作人',
  `status` int(10) DEFAULT '0' COMMENT '状态',
  `shenhe` varchar(255) DEFAULT NULL COMMENT '审核人',
  `audit_at` datetime DEFAULT NULL COMMENT '审核时间',
  `note` varchar(255) DEFAULT NULL COMMENT '备注',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='封柜申请记录表';

-- ----------------------------
-- Table structure for ecw_box_steps
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_steps`;
CREATE TABLE `ecw_box_steps` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title_zh` varchar(25) NOT NULL DEFAULT '' COMMENT '中文名称',
  `title_en` varchar(30) NOT NULL DEFAULT '' COMMENT '英文名称',
  `sort` int(11) NOT NULL DEFAULT '99' COMMENT '排序',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否显示，默认显示',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='装柜步骤表';

-- ----------------------------
-- Table structure for ecw_box_track
-- ----------------------------
DROP TABLE IF EXISTS `ecw_box_track`;
CREATE TABLE `ecw_box_track` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `box_id` bigint DEFAULT NULL COMMENT '装柜id',
  `box_number` varchar(50) DEFAULT NULL COMMENT '柜型number',
  `bk_sono` varchar(50) DEFAULT NULL COMMENT '订舱sono',
  `bk_ship_co_type` char(20) DEFAULT NULL COMMENT '船公司类型',
  `bk_ship_co_zh` varchar(50) DEFAULT NULL COMMENT '船公司中文名称',
  `bk_ship_co_en` varchar(50) DEFAULT NULL COMMENT '船公司英文名称',
  `bk_barge_port_id` int(11) DEFAULT NULL COMMENT '驳船港id',
  `bk_barge_port_zh` varchar(255) DEFAULT NULL COMMENT '驳船港中文名称',
  `bk_barge_port_en` varchar(255) DEFAULT NULL COMMENT '驳船港英文名称',
  `bk_big_port_id` int(11) DEFAULT NULL COMMENT '大船港id',
  `bk_big_port_zh` varchar(255) DEFAULT NULL COMMENT '大船港中文名称',
  `bk_big_port_en` varchar(255) DEFAULT NULL COMMENT '大船港英文名称',
  `bk_dest_port_id` int(11) DEFAULT NULL COMMENT '目的港id',
  `bk_dest_port_zh` varchar(255) DEFAULT NULL COMMENT '目的港中文名称',
  `bk_dest_port_en` varchar(255) DEFAULT NULL COMMENT '目的港英文名称',
  `bk_shipper_id` int(11) DEFAULT NULL COMMENT 'shipper id',
  `bk_shipper_en` varchar(255) DEFAULT NULL COMMENT 'shipper 英文名称',
  `bk_shipper_zh` varchar(255) DEFAULT NULL COMMENT 'shipper 中文名称',
  `bk_space_co_id` int(11) DEFAULT NULL COMMENT '订舱公司 id',
  `bk_space_co_zh` varchar(255) DEFAULT NULL COMMENT '订舱公司中文名称',
  `bk_space_co_en` varchar(255) DEFAULT NULL COMMENT '订舱公司英文名称',
  `bk_box_type` tinyint(3) DEFAULT NULL COMMENT '柜类型 1、40HQ 2、20GP',
  `bk_box_type_wgt` varchar(255) DEFAULT NULL COMMENT '柜类型重量',
  `bk_time` datetime DEFAULT NULL COMMENT '订舱时间',
  `bk_est_sail_time` datetime DEFAULT NULL COMMENT '预计开船时间',
  `bk_status` tinyint(3) DEFAULT '0' COMMENT '订舱状态：11、未订舱；12、订舱中；13、已订舱',
  `bk_admin_id` int(11) DEFAULT NULL COMMENT '订舱业务员id',
  `bk_admin_name` varchar(255) DEFAULT NULL COMMENT '订舱业务员中文',
  `pr_admin_id` int(11) DEFAULT NULL COMMENT '预装业务员id',
  `pr_admin_name` varchar(255) DEFAULT NULL COMMENT '预装业务员中文',
  `pr_status` tinyint(3) DEFAULT NULL COMMENT '预装状态：21、未订舱；22、订舱中；23、已订舱',
  `pr_preload_time` int(11) DEFAULT NULL COMMENT '预装时间',
  `tl_status` tinyint(3) DEFAULT '0' COMMENT '拖车状态：31、未派车；32、派车中；33、已派车',
  `tl_container_status` tinyint(3) DEFAULT NULL COMMENT '拖车提柜状态：1、已派车，待提柜；2、已提柜，待还柜；3、已还柜',
  `tl_company_id` int(11) DEFAULT NULL COMMENT '拖车公司id',
  `tl_company_zh` varchar(50) DEFAULT NULL COMMENT '拖车公司中文名称',
  `tl_company_en` varchar(50) DEFAULT NULL COMMENT '拖车公司英文名称',
  `tl_time` int(11) DEFAULT NULL COMMENT '拖车时间',
  `tl_license_plate` varchar(50) DEFAULT NULL COMMENT '拖车车牌',
  `tl_driver` varchar(100) DEFAULT NULL COMMENT '拖车司机',
  `tl_driver_phone` varchar(255) DEFAULT NULL COMMENT '拖车司机联系方式',
  `tl_container_no` varchar(50) DEFAULT NULL COMMENT '货柜号',
  `tl_strip_seal` varchar(255) DEFAULT NULL COMMENT '封条',
  `tl_admin_id` int(11) DEFAULT NULL COMMENT '拖车业务员id',
  `tl_admin_name` varchar(255) DEFAULT NULL COMMENT '拖车业务员名称',
  `ld_status` tinyint(255) DEFAULT '0' COMMENT '装柜状态：41、未装柜；42、装柜中；43、已装柜',
  `ld_in_warehouse_time` int(11) DEFAULT NULL COMMENT '到仓时间',
  `ld_warehouse_type` int(11) DEFAULT NULL COMMENT '仓库type，1：广州仓，2：义务仓，3：其他仓，4：广州+其他仓，5：义乌+其他仓',
  `ld_warehouse_zh` varchar(255) DEFAULT NULL COMMENT '仓库中文名称',
  `ld_warehouse_en` varchar(255) DEFAULT NULL COMMENT '仓库英文名称',
  `ld_box_time` datetime DEFAULT NULL COMMENT '装柜时间',
  `ld_out_warehouse_time` datetime DEFAULT NULL COMMENT '出仓时间',
  `ld_pictures` varchar(255) DEFAULT NULL COMMENT '装柜图片',
  `ld_admin_id` int(11) DEFAULT NULL COMMENT '装柜业务员id',
  `ld_admin_name` varchar(255) DEFAULT NULL COMMENT '装柜业务员名称',
  `ld_record_list` text COMMENT '装柜历史记录',
  `dc_status` tinyint(3) DEFAULT '0' COMMENT '报关状态：51、未报关；52、报关中；53、已报关',
  `dc_document_type` varchar(5) DEFAULT NULL COMMENT '单证要求：我司：y，自单代报：n，混合报关：s',
  `dc_box_wgt` decimal(10,2) DEFAULT NULL COMMENT '柜重',
  `dc_goods_wgt` decimal(10,2) DEFAULT NULL COMMENT '货重',
  `dc_vgm_wgt` decimal(10,0) DEFAULT NULL COMMENT 'VGM重量',
  `dc_customs_type` tinyint(255) DEFAULT NULL COMMENT '报关方式，0：整柜买单报关，1：整柜正常报关，2：买单报关+正常报关',
  `dc_company_id` varchar(255) DEFAULT NULL COMMENT '报关公司id',
  `dc_company_zh` varchar(100) DEFAULT NULL COMMENT '报关公司中文名称',
  `dc_company_en` varchar(100) DEFAULT NULL COMMENT '报关公司英文名称',
  `dc_cut_off_time` datetime DEFAULT NULL COMMENT '截关时间',
  `dc_customs_status` tinyint(3) DEFAULT NULL COMMENT '报关放行状态，0：报关中，1：放行，2：检验，3：退场中',
  `dc_check_time` int(11) DEFAULT NULL COMMENT '查验时间',
  `dc_check_type` varchar(255) DEFAULT NULL COMMENT '查验类型：0、正常查验，1、后兜查验',
  `dc_check_list` varchar(255) DEFAULT NULL COMMENT '查单类型：0、买单部分、1、单证部分',
  `dc_check_mode` varchar(255) DEFAULT NULL COMMENT '查验方式：0、拆柜，1、拆柜+过磅，2、过机，3、过机+过磅',
  `dc_demolition_mode` varchar(255) DEFAULT NULL COMMENT '全拆方式：0、全拆-拆左通道，1、全拆-拆右通道',
  `dc_strip_seal` varchar(50) NOT NULL DEFAULT '' COMMENT '查验新封条',
  `dc_pass_time` datetime DEFAULT NULL COMMENT '放行时间',
  `dc_admin_id` int(11) DEFAULT NULL COMMENT '报关业务员id',
  `dc_admin_name` varchar(255) DEFAULT NULL COMMENT '报关业务员name',
  `dc_record_list` text COMMENT '报关历史记录',
  `sa_status` tinyint(3) DEFAULT '0' COMMENT '配船状态：61、未配船；62、配船中；63、已配船',
  `sa_exmt_status` tinyint(3) DEFAULT NULL COMMENT '是否配船，0：免配，1：已配',
  `sa_time` datetime DEFAULT NULL COMMENT '配船时间',
  `sa_admin_id` int(11) DEFAULT NULL COMMENT '配船业务员id',
  `sa_admin_name` varchar(255) DEFAULT NULL COMMENT '配船业务员名称',
  `bl_status` tinyint(1) DEFAULT NULL COMMENT '提单补料状态：71、未提单补料；72、提单补料中；73、已提单补料',
  `bl_goods_no` varchar(50) DEFAULT NULL COMMENT '提单商品编号',
  `bl_product_id` varchar(255) DEFAULT NULL COMMENT '提单品名id',
  `bl_product_zh` varchar(255) DEFAULT NULL COMMENT '提单品名中文',
  `bl_product_en` varchar(255) DEFAULT NULL COMMENT '提单品名英文',
  `bl_agent_id` int(11) DEFAULT NULL COMMENT '清关代理id',
  `bl_agent_zh` varchar(50) DEFAULT NULL COMMENT '清关代理中文名',
  `bl_agent_en` varchar(50) DEFAULT NULL COMMENT '清关代理英文名',
  `bl_notice_id` int(11) DEFAULT NULL COMMENT '通知方id',
  `bl_notice_zh` varchar(100) DEFAULT NULL COMMENT '通知方中文名称',
  `bl_notice_en` varchar(100) DEFAULT NULL COMMENT '通知方英文名称',
  `bl_remarks` varchar(255) DEFAULT NULL COMMENT '提单备注',
  `bl_amount` int(11) DEFAULT NULL COMMENT '提单数量',
  `bl_pack_unit_id` int(11) DEFAULT NULL COMMENT '包装单位id',
  `bl_pack_unit_zh` varchar(100) DEFAULT NULL COMMENT '提单包装单位中文',
  `bl_pack_unit_en` varchar(100) DEFAULT NULL COMMENT '提单包装单位英文',
  `bl_vol` decimal(11,0) DEFAULT NULL COMMENT '提单体积',
  `bl_mbl_no` varchar(50) DEFAULT NULL COMMENT 'M/BL NO 号码',
  `bl_admin_id` int(11) DEFAULT NULL COMMENT '提单业务员id',
  `bl_admin_name` varchar(255) DEFAULT NULL COMMENT '提单业务员名称',
  `bg_status` tinyint(3) DEFAULT NULL COMMENT '驳船状态：81、未驳船；82、驳船中；83、已驳船',
  `bg_exmt_status` tinyint(3) DEFAULT NULL COMMENT '是否驳船：0：无驳船，1：有驳船',
  `bg_est_ship_time` datetime DEFAULT NULL COMMENT '驳船预计开船时间',
  `bg_real_ship_time` datetime DEFAULT NULL COMMENT '驳船实际开船时间',
  `bg_admin_id` int(11) DEFAULT NULL COMMENT '驳船业务员id',
  `bg_admin_name` varchar(255) DEFAULT NULL COMMENT '驳船业务员名称',
  `dt_status` tinyint(3) DEFAULT NULL COMMENT '起运状态：91、未起运；92、起运中；93、已起运',
  `dt_real_ship_time` datetime DEFAULT NULL COMMENT '起运实际开船时间',
  `dt_est_arrival_time` datetime DEFAULT NULL COMMENT '起运预计到港时间',
  `dt_admin_id` int(11) DEFAULT NULL COMMENT '起运业务员id',
  `dt_admin_name` varchar(255) DEFAULT NULL COMMENT '起运业务员名称',
  `cd_status` tinyint(3) DEFAULT '0' COMMENT '清关文件状态：101、未清关文件；102、清关文件中；103、已清关文件',
  `cd_agentlist_type` tinyint(3) DEFAULT NULL COMMENT '是否有清关agentlist文件，0：无需，1：已做',
  `cd_agentlist_time` datetime DEFAULT NULL COMMENT 'agentlist文件日期',
  `cd_agentlist_file` longtext COMMENT 'agentlist文件路径',
  `cd_soncap_type` tinyint(3) DEFAULT NULL COMMENT '是否有清关soncap文件，0：无需，1：已做',
  `cd_soncap_time` datetime DEFAULT NULL COMMENT 'soncap文件日期',
  `cd_soncap_file` longtext COMMENT 'soncap文件路径',
  `cd_soncap_id` int(11) DEFAULT NULL COMMENT 'soncap id',
  `cd_soncap_zh` varchar(255) DEFAULT NULL COMMENT 'soncap 中文',
  `cd_soncap_en` varchar(255) DEFAULT NULL COMMENT 'soncap 英文',
  `cd_out_bill_type` tinyint(3) DEFAULT NULL COMMENT '出单方式，0：电放，1：正本',
  `cd_send_time` datetime DEFAULT NULL COMMENT '寄送时间',
  `cd_bill_copy` longtext COMMENT '提单copy',
  `cd_admin_id` int(11) DEFAULT NULL COMMENT '提单文件业务员id',
  `cd_admin_name` varchar(255) DEFAULT NULL COMMENT '提单文件业务员名称',
  `ap_status` tinyint(3) DEFAULT '0' COMMENT '到港状态：111、未到港；112、到港中；113、已到港',
  `ap_real_time` datetime DEFAULT NULL COMMENT '实际到港时间',
  `ap_confirm_time` datetime DEFAULT NULL COMMENT '确认到港时间',
  `ap_confirm_status` tinyint(3) DEFAULT NULL COMMENT '确认到港状态',
  `ap_unload_port_time` datetime DEFAULT NULL COMMENT '卸港时间',
  `ap_admin_id` int(11) DEFAULT NULL COMMENT '到港业务员id',
  `ap_admin_name` varchar(255) DEFAULT NULL COMMENT '到港业务员名称',
  `cl_status` tinyint(3) DEFAULT NULL COMMENT '清关状态：121、未清关；122、清关中；123、已清关',
  `cl_agent_id` int(11) DEFAULT NULL COMMENT '清关代理id',
  `cl_agent_zh` varchar(100) DEFAULT NULL COMMENT '清关代理中文名称',
  `cl_agent_en` varchar(100) DEFAULT NULL COMMENT '清关代理英文名称',
  `cl_est_time` datetime DEFAULT NULL COMMENT '预计清关时间',
  `cl_clear_time` datetime DEFAULT NULL COMMENT '清关时间',
  `cl_admin_id` int(11) DEFAULT NULL COMMENT '清关业务员id',
  `cl_admin_name` varchar(255) DEFAULT NULL COMMENT '清关业务员名称',
  `ul_status` int(5) DEFAULT NULL COMMENT '卸柜状态：131、未卸柜；132、卸柜中；133、已卸柜',
  `ul_outlets_id` int(11) DEFAULT NULL COMMENT '卸柜网点',
  `ul_warehouse_time` datetime DEFAULT NULL COMMENT '卸柜到仓时间',
  `ul_box_time` datetime DEFAULT NULL COMMENT '卸柜时间',
  `ul_admin_id` int(11) DEFAULT NULL COMMENT '卸柜业务员id',
  `ul_admin_name` varchar(255) DEFAULT NULL COMMENT '卸柜业务员名称',
  `sl_status` int(5) DEFAULT NULL COMMENT '结算状态：141、未结算；142、结算中；143、已结算',
  `sl_settlement_time` datetime DEFAULT NULL COMMENT '可结算时间',
  `sl_settled_time` datetime DEFAULT NULL COMMENT '已结算时间',
  `sl_admin_id` int(11) DEFAULT NULL COMMENT '结算业务员id',
  `sl_admin_name` varchar(255) DEFAULT NULL COMMENT '结算业务员名称',
  `addtime` int(11) DEFAULT NULL,
  `admin_id` int(11) DEFAULT NULL COMMENT '新增柜子业务员id',
  `admin_name` varchar(255) DEFAULT NULL COMMENT '新增柜子业务员用户名',
  `status` varchar(255) DEFAULT NULL COMMENT '柜子状态',
  `seal_status` int(11) DEFAULT NULL COMMENT '封柜审核通过：49',
  `pr_load_num` int(11) DEFAULT '0' COMMENT '预装总数',
  `ld_load_num` int(11) DEFAULT '0' COMMENT '已装总数',
  `ul_load_num` int(11) DEFAULT '0' COMMENT '卸柜总数',
  `pr_load_vol` decimal(10,2) DEFAULT '0.00' COMMENT '预装体积',
  `ld_load_vol` decimal(10,2) DEFAULT '0.00' COMMENT '已装体积',
  `ul_load_vol` decimal(10,2) DEFAULT '0.00' COMMENT '卸柜体积',
  `pr_load_wgt` decimal(10,2) DEFAULT '0.00' COMMENT '预装重量',
  `ld_load_wgt` decimal(10,2) DEFAULT '0.00' COMMENT '已装重量',
  `ul_load_wgt` decimal(10,2) DEFAULT '0.00' COMMENT '卸柜重量',
  `other_approval_id` int(11) DEFAULT NULL COMMENT '审批id',
  `box_status` int(11) DEFAULT NULL COMMENT '柜子每一个操作的状态',
  `dc_bill_status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '提单下载状态',
  `delay_send` tinyint(3) NOT NULL DEFAULT '0' COMMENT '实际开船/到港/清关时间，如果是未来的时间，到该时间再更新/发送：状态短信/消息/站内信，1：实际开船，2：实际到港，3清关时间',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `box_id` (`box_id`,`box_number`) USING BTREE
) COMMENT='装柜详情表';

-- ----------------------------
-- Table structure for ecw_cart
-- ----------------------------
DROP TABLE IF EXISTS `ecw_cart`;
CREATE TABLE `ecw_cart` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL,
  `order_id` bigint DEFAULT '0' COMMENT '订单id',
  `transport` text COMMENT '运输方式',
  `shifadi` text COMMENT '始发地',
  `departure` text COMMENT '始发网点',
  `mudidi` text COMMENT '目的地',
  `objective` text COMMENT '目的网点',
  `order_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '订单类型：1小包裹',
  `marks` varchar(255) DEFAULT NULL COMMENT '唛头',
  `kong` char(5) DEFAULT NULL COMMENT '是否控货',
  `dzbg` char(5) DEFAULT NULL COMMENT '单证报关',
  `delivery_date` datetime DEFAULT NULL COMMENT '传送时间',
  `zxd` varchar(255) DEFAULT NULL COMMENT '上传文件',
  `paytype` char(100) DEFAULT NULL COMMENT '付款类型',
  `co` varchar(255) DEFAULT NULL,
  `fahuoren` text COMMENT '发货人',
  `shouhuoren` text COMMENT '收货人',
  `daishou` char(100) DEFAULT NULL COMMENT '代收',
  `is_collection` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否代收货款收款 0为否 1为是',
  `attribute` text,
  `products` text,
  `iso2` varchar(20) DEFAULT '' COMMENT '国家简称',
  `dialCode` int(11) NOT NULL DEFAULT '0' COMMENT '国家区号',
  `warehouse_type` varchar(255) NOT NULL DEFAULT '' COMMENT '入仓类型',
  `iso2_sender` varchar(20) NOT NULL DEFAULT 'cn' COMMENT '国家简称',
  `dialCode_sender` int(11) NOT NULL DEFAULT '86' COMMENT '国家区号',
  `offer_id` int(11) DEFAULT NULL COMMENT '报价单id',
  `remarks` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='购物车';

-- ----------------------------
-- Table structure for ecw_cart_goods
-- ----------------------------
DROP TABLE IF EXISTS `ecw_cart_goods`;
CREATE TABLE `ecw_cart_goods` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` int(11) DEFAULT NULL,
  `keys` char(11) DEFAULT NULL,
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文品名',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文品名',
  `product_id` bigint NOT NULL DEFAULT '0' COMMENT '产品id',
  `brank` varchar(255) DEFAULT NULL COMMENT '备案',
  `brand_id` bigint NOT NULL DEFAULT '0' COMMENT '品牌id',
  `documents` char(10) DEFAULT 'n',
  `num` char(100) DEFAULT NULL COMMENT '数量',
  `volume` char(100) DEFAULT NULL COMMENT '体积',
  `weight` char(100) DEFAULT NULL COMMENT '重量',
  `alls` char(10) DEFAULT 'y' COMMENT '一次性到货',
  `outs` char(100) DEFAULT '0' COMMENT '是否到齐',
  `hycosts` char(100) DEFAULT '-1' COMMENT '海运费',
  `hymonetary` char(100) DEFAULT NULL COMMENT '海运费单位',
  `hyunit` char(100) DEFAULT NULL COMMENT '海运费体积单位',
  `qgcosts` char(100) DEFAULT '-1' COMMENT '清关费',
  `qgmonetary` char(100) DEFAULT NULL COMMENT '清关费单位',
  `qgunit` char(100) DEFAULT NULL COMMENT '清关费体积单位',
  `addtime` char(20) DEFAULT NULL,
  `package_unit` char(20) DEFAULT NULL COMMENT '包装单位',
  `material` char(20) DEFAULT NULL COMMENT '材质',
  `add_num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '改版后的数量之前为箱数',
  `value` varchar(100) NOT NULL COMMENT '货值',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `key_product_id` (`product_id`),
  KEY `key_brand_id` (`brand_id`)
) COMMENT='购物车货物详情表';

-- ----------------------------
-- Table structure for ecw_cases
-- ----------------------------
DROP TABLE IF EXISTS `ecw_cases`;
CREATE TABLE `ecw_cases` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL,
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `author_zh` varchar(255) DEFAULT NULL COMMENT '作者中文名',
  `author_en` varchar(255) DEFAULT NULL COMMENT '作者英文名',
  `img` varchar(255) DEFAULT NULL COMMENT '图片地址',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `is_show` char(5) DEFAULT 'y' COMMENT '是否展示',
  `is_index` char(5) DEFAULT 'n' COMMENT '是否置顶',
  `zhou` int(11) DEFAULT '0' COMMENT '洲',
  `guojia` int(11) DEFAULT '0' COMMENT '国家',
  `sheng` int(11) DEFAULT '0' COMMENT '省份',
  `shi` int(11) DEFAULT '0' COMMENT '城市',
  `author` char(50) DEFAULT NULL COMMENT '作者',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='成功案例表';

-- ----------------------------
-- Table structure for ecw_collection_detail
-- ----------------------------
DROP TABLE IF EXISTS `ecw_collection_detail`;
CREATE TABLE `ecw_collection_detail` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `cd_co_id` bigint NOT NULL DEFAULT '0' COMMENT '收款单id',
  `cd_order_id` bigint NOT NULL DEFAULT '0' COMMENT '订单id',
  `cd_order_no` varchar(50) NOT NULL DEFAULT '' COMMENT '订单号',
  `cd_boxs` int(11) NOT NULL DEFAULT '0' COMMENT '箱数',
  `cd_weight` varchar(25) NOT NULL DEFAULT '' COMMENT '体积/重量',
  `cd_volume` varchar(25) NOT NULL DEFAULT '' COMMENT '体积',
  `cd_type` int(11) NOT NULL DEFAULT '0' COMMENT '收款类型(配置列表获取)',
  `cd_fee_type` int(11) NOT NULL DEFAULT '0' COMMENT '费用类型(配置列表获取)',
  `cd_exchange_rate` varchar(25) NOT NULL DEFAULT '' COMMENT '汇率',
  `cd_currency_id` int(11) NOT NULL DEFAULT '0' COMMENT '币种id',
  `cd_unit_price` varchar(25) NOT NULL DEFAULT '' COMMENT '单价',
  `cd_total_amount` varchar(25) NOT NULL DEFAULT '' COMMENT '总金额',
  `cd_total` varchar(25) NOT NULL DEFAULT '' COMMENT '总额',
  `cd_actual_amount` varchar(25) NOT NULL DEFAULT '' COMMENT '实收金额',
  `cd_state` tinyint(1) NOT NULL DEFAULT '0' COMMENT '收款状态（0未收款，1收款中，2已收款）',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `author` char(50) DEFAULT NULL COMMENT '作者',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='待收款数据表';

-- ----------------------------
-- Table structure for ecw_collection_order
-- ----------------------------
DROP TABLE IF EXISTS `ecw_collection_order`;
CREATE TABLE `ecw_collection_order` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `co_no` varchar(30) NOT NULL COMMENT '收款单号（例：SKD001）',
  `co_department_id` int(11) NOT NULL DEFAULT '0' COMMENT '部门Id',
  `co_department_name` varchar(30) NOT NULL DEFAULT '' COMMENT '部门名称',
  `co_admin_id` int(11) NOT NULL DEFAULT '0' COMMENT '业务员',
  `co_admin_name` varchar(20) NOT NULL COMMENT '业务员名称',
  `co_customer_id` int(11) NOT NULL DEFAULT '0' COMMENT '客户id',
  `co_customer_name` varchar(20) NOT NULL DEFAULT '' COMMENT '客户名称',
  `co_remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `co_currency_id` int(11) NOT NULL DEFAULT '0' COMMENT '币别',
  `co_fee_rate` varchar(25) NOT NULL DEFAULT '' COMMENT '手续费',
  `co_pay_id` int(11) NOT NULL DEFAULT '0' COMMENT '平台收款账户id（配置列表获取）',
  `co_pay_account` varchar(30) NOT NULL DEFAULT '' COMMENT '平台收款账户',
  `co_invoice` varchar(30) NOT NULL DEFAULT '' COMMENT '发票抬头',
  `co_taxpayer` varchar(50) NOT NULL DEFAULT '' COMMENT '纳税人识别号',
  `co_account_bank` varchar(30) NOT NULL DEFAULT '' COMMENT '开户行',
  `co_account_name` varchar(30) NOT NULL DEFAULT '' COMMENT '账号',
  `co_project_name` varchar(50) NOT NULL DEFAULT '' COMMENT '项目',
  `co_tax_rate` varchar(25) NOT NULL DEFAULT '' COMMENT '税率',
  `co_address_phone` varchar(255) NOT NULL DEFAULT '' COMMENT '开票地址、电话',
  `co_water_bill` varchar(255) NOT NULL DEFAULT '' COMMENT '水单',
  `co_water_bill_no` varchar(50) NOT NULL DEFAULT '' COMMENT '水单号',
  `co_payed_at` datetime DEFAULT NULL COMMENT '实收日期',
  `co_invoice_number` varchar(30) NOT NULL DEFAULT '' COMMENT '发票号码',
  `co_invoicing_type_id` int(11) NOT NULL DEFAULT '0' COMMENT '开票类型id(配置列表获取)',
  `co_invoicing_type` varchar(25) NOT NULL DEFAULT '' COMMENT '开票类型名称',
  `co_invoicing_remark` varchar(255) NOT NULL DEFAULT '' COMMENT '开票备注',
  `co_notice_admin_id` int(11) NOT NULL DEFAULT '0' COMMENT '通知人id',
  `co_notice_admin_name` varchar(20) NOT NULL DEFAULT '' COMMENT '通知人名称',
  `co_payee_id` int(11) NOT NULL DEFAULT '0' COMMENT '收款人id',
  `co_payee_name` varchar(20) NOT NULL DEFAULT '' COMMENT '收款人名称',
  `co_write_off_id` int(11) NOT NULL DEFAULT '0' COMMENT '核销人id',
  `co_write_off_name` varchar(20) NOT NULL DEFAULT '' COMMENT '核销人名称',
  `co_issuer_id` int(11) NOT NULL DEFAULT '0' COMMENT '开票人id',
  `co_issuer_name` varchar(20) NOT NULL DEFAULT '' COMMENT '开票人名称',
  `co_state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态（1待核销，2 已核销，3已核销待开票），4已开票',
  `co_write_off_at` datetime DEFAULT NULL COMMENT '核销时间',
  `co_invoicing_at` datetime DEFAULT NULL COMMENT '开票时间',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COMMENT='收款单';

-- ----------------------------
-- Table structure for ecw_collection_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_collection_type`;
CREATE TABLE `ecw_collection_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title_zh` varchar(25) NOT NULL DEFAULT '' COMMENT '中文名称',
  `title_en` varchar(30) NOT NULL DEFAULT '' COMMENT '英文名称',
  `sort` int(11) NOT NULL DEFAULT '99' COMMENT '排序',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否显示，默认显示',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='收款类型';

-- ----------------------------
-- Table structure for ecw_complaints
-- ----------------------------
DROP TABLE IF EXISTS `ecw_complaints`;
CREATE TABLE `ecw_complaints` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` int(11) DEFAULT NULL COMMENT '用户ID',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `type` int(11) DEFAULT '0' COMMENT '类型 0建议；1咨询',
  `author` varchar(255) DEFAULT NULL COMMENT '作者',
  `tell` char(100) DEFAULT NULL COMMENT '联系电话',
  `number` char(100) DEFAULT NULL COMMENT '编号',
  `content` text COMMENT '内容',
  `addip` char(100) DEFAULT NULL COMMENT 'IP地址',
  `address` varchar(255) DEFAULT NULL COMMENT 'IP地址对应的地区',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='咨询建议表';

-- ----------------------------
-- Table structure for ecw_config
-- ----------------------------
DROP TABLE IF EXISTS `ecw_config`;
CREATE TABLE `ecw_config` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(30) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '配置名称',
  `type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '配置类型',
  `title` varchar(50) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '配置说明',
  `group` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '配置分组',
  `extra` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '配置值',
  `remark` varchar(100) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '配置说明',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态',
  `value` text CHARACTER SET utf8 COMMENT '配置值',
  `sort` smallint(3) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `notice_zh` varchar(255) NOT NULL DEFAULT '' COMMENT '中文提示语',
  `notice_en` varchar(255) NOT NULL DEFAULT '' COMMENT '英文提示语',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='配置表';

-- ----------------------------
-- Table structure for ecw_configs_en
-- ----------------------------
DROP TABLE IF EXISTS `ecw_configs_en`;
CREATE TABLE `ecw_configs_en` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `logo` varchar(500) DEFAULT NULL COMMENT '网站logo',
  `weixin` varchar(500) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `keywords` varchar(1000) DEFAULT NULL,
  `description` varchar(2000) DEFAULT NULL,
  `consulting_tell` char(50) DEFAULT NULL COMMENT '免费咨询',
  `address` varchar(500) DEFAULT NULL,
  `cantact_tell` char(50) DEFAULT NULL COMMENT '联系我们电话',
  `recruitment` char(50) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `copy` varchar(255) DEFAULT NULL COMMENT '版权信息',
  `a_title1` varchar(255) DEFAULT NULL,
  `a_title2` varchar(255) DEFAULT NULL,
  `content` varchar(2000) DEFAULT NULL,
  `img` varchar(255) DEFAULT NULL,
  `cubic` char(100) DEFAULT NULL,
  `vvol` char(100) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='网站英文配置表';

-- ----------------------------
-- Table structure for ecw_configs_zh
-- ----------------------------
DROP TABLE IF EXISTS `ecw_configs_zh`;
CREATE TABLE `ecw_configs_zh` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `logo` varchar(500) DEFAULT NULL COMMENT '网站logo',
  `weixin` varchar(500) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `keywords` varchar(1000) DEFAULT NULL,
  `description` varchar(2000) DEFAULT NULL,
  `consulting_tell` char(50) DEFAULT NULL COMMENT '免费咨询',
  `address` varchar(500) DEFAULT NULL,
  `cantact_tell` char(50) DEFAULT NULL COMMENT '联系我们电话',
  `recruitment` char(50) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `copy` varchar(255) DEFAULT NULL COMMENT '版权信息',
  `a_title1` varchar(255) DEFAULT NULL COMMENT '关于我们标题1',
  `a_title2` varchar(255) DEFAULT NULL COMMENT '关于我们标题2',
  `content` varchar(2000) DEFAULT NULL COMMENT '内容',
  `img` varchar(500) DEFAULT NULL COMMENT '展示图',
  `pao_linjie` char(100) DEFAULT NULL,
  `pao_gongshi` char(100) DEFAULT NULL,
  `zhong_linjie` char(100) DEFAULT NULL,
  `zhong_gongshi` char(100) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='网站中文配置表';

-- ----------------------------
-- Table structure for ecw_contactus
-- ----------------------------
DROP TABLE IF EXISTS `ecw_contactus`;
CREATE TABLE `ecw_contactus` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) DEFAULT NULL,
  `phone` varchar(20) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `company` varchar(255) DEFAULT NULL,
  `content` text,
  `is_look` int(11) DEFAULT '0',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) ;

-- ----------------------------
-- Table structure for ecw_cooperation_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_cooperation_type`;
CREATE TABLE `ecw_cooperation_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '合作类型中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '合作类型中文',
  `is_show` tinyint(3) DEFAULT '1' COMMENT '是否启用',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='合作类型表';

-- ----------------------------
-- Table structure for ecw_country
-- ----------------------------
DROP TABLE IF EXISTS `ecw_country`;
CREATE TABLE `ecw_country` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `pid` int(11) DEFAULT NULL COMMENT '父id',
  `short_name` varchar(100) DEFAULT NULL COMMENT '简称',
  `name` varchar(100) DEFAULT NULL COMMENT '名称',
  `merger_name` varchar(255) DEFAULT NULL COMMENT '全称',
  `level` tinyint(4) DEFAULT NULL COMMENT '层级 0 1 2 省市区县',
  `pinyin` varchar(100) DEFAULT NULL COMMENT '拼音',
  `phone_code` varchar(100) DEFAULT NULL COMMENT '长途区号',
  `zip_code` varchar(100) DEFAULT NULL COMMENT '邮编',
  `first` varchar(50) DEFAULT NULL COMMENT '首字母',
  `lng` varchar(100) DEFAULT NULL COMMENT '经度',
  `lat` varchar(100) DEFAULT NULL COMMENT '纬度',
  `area_code` varchar(45) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  UNIQUE KEY `id_UNIQUE` (`id`) USING BTREE,
  KEY `ix_china_area_merge` (`merger_name`) USING BTREE,
  KEY `ix_china_area_area_code` (`area_code`) USING BTREE
) COMMENT='国内地区表';

-- ----------------------------
-- Table structure for ecw_currency
-- ----------------------------
DROP TABLE IF EXISTS `ecw_currency`;
CREATE TABLE `ecw_currency` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(100) DEFAULT NULL COMMENT '中文名称',
  `title_en` varchar(100) DEFAULT NULL COMMENT '英文名称',
  `fuhao` varchar(50) DEFAULT NULL COMMENT '货币符号',
  `show` char(10) DEFAULT 'y' COMMENT '是否展示 y为展示 n为不展示',
  `huilv` float(11,9) DEFAULT '0.000000000' COMMENT '汇率',
  `aorder` int(11) DEFAULT NULL COMMENT '排序值',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='货币符号表';

-- ----------------------------
-- Table structure for ecw_customer
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer`;
CREATE TABLE `ecw_customer` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `number` varchar(50) DEFAULT NULL COMMENT '客户编号',
  `name` varchar(100) DEFAULT NULL COMMENT '客户名称',
  `level` tinyint(3) DEFAULT NULL COMMENT '客户等级',
  `country` int(11) DEFAULT NULL COMMENT '国家',
  `type` varchar(10) DEFAULT NULL COMMENT '客户类型',
  `agent_id` int(11) DEFAULT NULL COMMENT '所属代理',
  `company` varchar(100) DEFAULT '' COMMENT '公司名称',
  `address` varchar(100) DEFAULT NULL COMMENT '联系地址',
  `product_type` int(11) DEFAULT NULL COMMENT '产品类型',
  `product_id` int(11) DEFAULT NULL COMMENT '产品id',
  `pickup_point` varchar(100) DEFAULT NULL COMMENT '常用提货网点',
  `member_id` int(11) DEFAULT NULL COMMENT '关联会员账号',
  `birthday` datetime DEFAULT NULL COMMENT '客户生日',
  `balance` tinyint(3) DEFAULT NULL COMMENT '结算方式',
  `source` tinyint(3) DEFAULT NULL COMMENT '客户来源',
  `picture` varchar(255) DEFAULT NULL COMMENT '图片',
  `customer_service` int(11) NOT NULL DEFAULT '0' COMMENT '跟进客服',
  `is_customer_service_confirmed` tinyint(1) DEFAULT 0 COMMENT '跟进客服是否确认',
  `promoter` bigint DEFAULT NULL COMMENT '推介人',
  `status` tinyint(3) DEFAULT NULL COMMENT '客户状态：1.线索2.意向3.成交',
  `founder` bigint DEFAULT NULL COMMENT '创建人',
  `department` varchar(100) DEFAULT NULL COMMENT '部门',
  `invoice_title` varchar(100) DEFAULT NULL COMMENT '发票抬头',
  `license_number` varchar(100) DEFAULT NULL COMMENT '纳税人识别号',
  `bank` varchar(100) DEFAULT NULL COMMENT '开户行',
  `bank_number` varchar(100) DEFAULT NULL COMMENT '账户',
  `project` varchar(100) DEFAULT NULL COMMENT '项目',
  `billing_address` varchar(100) DEFAULT NULL COMMENT '开票地址',
  `billing_tell` varchar(50) DEFAULT NULL COMMENT '开票电话',
  `perfect_time` datetime NOT NULL COMMENT '完善时间',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `tax_rate` decimal(10,2) DEFAULT NULL COMMENT '税率',
  `admin_id` bigint DEFAULT NULL COMMENT '管理员id',
  `approver` bigint DEFAULT NULL COMMENT '审批人id',
  `notifier` bigint DEFAULT NULL COMMENT '通知人id',
  `other_approval_id` bigint DEFAULT NULL COMMENT '其他审批id',
  `arrival_confirm` tinyint(3) DEFAULT NULL COMMENT '到仓确认',
  `weight_unit` decimal(10,2) NOT NULL DEFAULT '750.00' COMMENT '重货标准(CBM)',
  `weight_edit_who` varchar(20) NOT NULL DEFAULT '' COMMENT '重货标准修改人',
  `weight_edit_time` datetime NOT NULL COMMENT '重货标准修时间',
  `is_auto` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否系统创建 0为手动 1为注册时系统创建 2为下单时系统创建',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `number` (`number`) USING BTREE,
  KEY `name_zh` (`name`) USING BTREE,
  KEY `name_en` (`name`) USING BTREE
) COMMENT='客户表';

-- ----------------------------
-- Table structure for ecw_customer_commission
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_commission`;
CREATE TABLE `ecw_customer_commission` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `customer_id` bigint NOT NULL COMMENT '客户id',
  `type` tinyint(3) NOT NULL COMMENT '佣金类型 1产品 2达标返佣 3运输&线路',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `customer_id` (`customer_id`) USING BTREE
) COMMENT='客户佣金类型表';

-- ----------------------------
-- Table structure for ecw_customer_commission_info
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_commission_info`;
CREATE TABLE `ecw_customer_commission_info` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `commission_id` bigint NOT NULL COMMENT '佣金表id',
  `product_type` int(11) DEFAULT NULL COMMENT '产品类型',
  `product_attr` int(11) DEFAULT NULL COMMENT '产品属性',
  `approval` tinyint(3) DEFAULT NULL COMMENT '产品备案',
  `transport_id` tinyint(3) DEFAULT NULL COMMENT '运输方式',
  `commission` decimal(10,2) DEFAULT NULL COMMENT '佣金',
  `route` varchar(100) DEFAULT NULL COMMENT '线路',
  `currency` tinyint(3) DEFAULT NULL COMMENT '货币',
  `unit` tinyint(3) DEFAULT NULL COMMENT '单位',
  `amount` decimal(10,2) DEFAULT NULL COMMENT '满减',
  `amount_type` tinyint(3) DEFAULT NULL COMMENT '满减类型',
  `departure_id` int(11) DEFAULT NULL COMMENT '始发地id',
  `objective_id` int(11) DEFAULT NULL COMMENT '目的地id',
  `refund` decimal(10,2) DEFAULT NULL COMMENT '满返',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `customer_id` (`commission_id`) USING BTREE
) COMMENT='客户佣金详情表';

-- ----------------------------
-- Table structure for ecw_customer_complaint
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_complaint`;
CREATE TABLE `ecw_customer_complaint` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `customer_id` bigint NOT NULL COMMENT '客户名称',
  `type` tinyint(3) DEFAULT NULL COMMENT '投诉类型',
  `order_id` varchar(1000) DEFAULT NULL COMMENT '订单号',
  `ladingbill_id` varchar(1000) DEFAULT NULL COMMENT '提单号',
  `reason` varchar(255) DEFAULT NULL COMMENT '原因',
  `content` varchar(255) DEFAULT NULL COMMENT '投诉内容',
  `status` tinyint(3) DEFAULT '0' COMMENT '处理状态',
  `ascertain_reason` varchar(255) DEFAULT NULL COMMENT '查明原因',
  `solutions` varchar(255) DEFAULT NULL COMMENT '处理方案',
  `handle_at` datetime DEFAULT NULL COMMENT '处理时间',
  `indemnity` decimal(10,2) DEFAULT NULL COMMENT '赔付金额',
  `admin_id` bigint DEFAULT NULL COMMENT '管理员id',
  `currency_unit` int(11) DEFAULT NULL COMMENT '单位',
  `number` varchar(255) DEFAULT NULL COMMENT '投诉编号',
  `result` varchar(255) DEFAULT NULL COMMENT '投诉结果',
  `cancel_reason` varchar(255) DEFAULT NULL COMMENT '取消原因',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `customer_id` (`customer_id`) USING BTREE
) COMMENT='客户投诉表';

-- ----------------------------
-- Table structure for ecw_customer_complaint_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_complaint_type`;
CREATE TABLE `ecw_customer_complaint_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '投诉类型中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '投诉类型英文',
  `is_show` tinyint(3) DEFAULT '1' COMMENT '是否启用',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='客户投诉类型表';

-- ----------------------------
-- Table structure for ecw_customer_contacts
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_contacts`;
CREATE TABLE `ecw_customer_contacts` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `customer_id` bigint DEFAULT NULL COMMENT '客户id',
  `department` varchar(100) DEFAULT NULL COMMENT '部门',
  `position` varchar(100) DEFAULT NULL COMMENT '职位',
  `name` varchar(100) DEFAULT NULL COMMENT '联系人',
  `phone` varchar(50) DEFAULT NULL COMMENT '联系方式',
  `social` varchar(50) DEFAULT NULL COMMENT '社交方式',
  `social_number` varchar(50) DEFAULT NULL COMMENT '社交软件号码',
  `email` varchar(50) DEFAULT '' COMMENT '电子邮箱',
  `default` tinyint(3) DEFAULT '0' COMMENT '默认联系人：1为默认',
  `userid` bigint DEFAULT NULL COMMENT '关联账户id',
  `username` varchar(100) DEFAULT NULL COMMENT '关联账户名',
  `area_code` varchar(255) NOT NULL DEFAULT '' COMMENT '区号',
  `phone_new` varchar(255) NOT NULL DEFAULT '' COMMENT '手机号码(不带任何区号)',
  `is_auto` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否系统创建 0为手动 1为注册时系统创建 2为下单时系统创建',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `customer_id` (`customer_id`) USING BTREE,
  KEY `key_phone_new` (`phone_new`(191)),
  KEY `key_phone` (`phone`) USING BTREE
) COMMENT='客户联系人表';

-- ----------------------------
-- Table structure for ecw_customer_country
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_country`;
CREATE TABLE `ecw_customer_country` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title_zh` varchar(25) NOT NULL DEFAULT '' COMMENT '中文名称',
  `title_en` varchar(30) NOT NULL DEFAULT '' COMMENT '英文名称',
  `sort` int(11) NOT NULL DEFAULT '99' COMMENT '排序',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否显示，默认显示',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `letter` varchar(255) DEFAULT NULL COMMENT '国家代表字母',
  `area_code` varchar(255) NOT NULL DEFAULT '' COMMENT '区号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='客户城市表';

-- ----------------------------
-- Table structure for ecw_customer_follow
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_follow`;
CREATE TABLE `ecw_customer_follow` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `customer_id` bigint DEFAULT NULL COMMENT '客户id',
  `offer_id` int(11) DEFAULT NULL COMMENT '报价id',
  `type` tinyint(3) DEFAULT NULL COMMENT '跟进类型：1回访，2不良记录，3商务洽谈/报价跟进',
  `follow_at` datetime DEFAULT NULL COMMENT '跟进时间',
  `follow_business` int(11) DEFAULT NULL COMMENT '跟进业务',
  `contacts` varchar(100) DEFAULT NULL COMMENT '联系人',
  `method` tinyint(3) DEFAULT NULL COMMENT '跟进方式：0电话，1面谈，2网络回访',
  `feedback` varchar(255) DEFAULT NULL COMMENT '客户反馈',
  `results` varchar(255) DEFAULT NULL COMMENT '处理结果',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `customer_id` (`customer_id`) USING BTREE
) COMMENT='客户跟进表';

-- ----------------------------
-- Table structure for ecw_customer_level
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_level`;
CREATE TABLE `ecw_customer_level` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '客户等级中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '客户等级英文',
  `is_show` tinyint(3) DEFAULT '1' COMMENT '是否启用',
  `sort` int(11) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='客户等级表';

-- ----------------------------
-- Table structure for ecw_customer_line
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_line`;
CREATE TABLE `ecw_customer_line` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `customer_id` bigint NOT NULL DEFAULT '0' COMMENT '客户ID',
  `departure_id` bigint NOT NULL DEFAULT '0' COMMENT '始发地ID',
  `objective_id` bigint NOT NULL DEFAULT '0' COMMENT '目的地ID',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`customer_id`)
) COMMENT='客户线路表';

-- ----------------------------
-- Table structure for ecw_customer_num
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_num`;
CREATE TABLE `ecw_customer_num` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `prefix` varchar(5) DEFAULT NULL COMMENT '编号前缀',
  `number` varchar(100) DEFAULT NULL COMMENT '数量',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='客户编号表';

-- ----------------------------
-- Table structure for ecw_customer_offer
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_offer`;
CREATE TABLE `ecw_customer_offer` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `admin_id` bigint DEFAULT NULL COMMENT '管理员id',
  `number` varchar(255) NOT NULL COMMENT '报价单号',
  `order_id` bigint DEFAULT NULL COMMENT '订单id',
  `transport_id` bigint DEFAULT NULL COMMENT '运输id',
  `transport` text NOT NULL COMMENT '运输方式',
  `consignor_id` bigint NOT NULL DEFAULT '0' COMMENT '客户id，发货人',
  `consignee_id` bigint NOT NULL COMMENT '收货人id',
  `marks` varchar(100) DEFAULT NULL COMMENT '唛头\r\n唛头\r\n唛头\r\n',
  `customs_type` char(5) DEFAULT NULL COMMENT '报关类别：我司：y，自单代报：n，混合报关：s',
  `route` varchar(50) DEFAULT NULL COMMENT '线路',
  `departure_id` int(11) DEFAULT NULL COMMENT '始发地',
  `departure` text COMMENT '始发地信息',
  `objective_id` int(11) DEFAULT NULL COMMENT '目的地',
  `objective` text COMMENT '目的地信息',
  `stop_time` datetime DEFAULT NULL COMMENT '预计结束时间',
  `control` tinyint(3) DEFAULT NULL COMMENT '控货',
  `competitor` varchar(255) DEFAULT NULL COMMENT '竞争对手',
  `importance` tinyint(3) DEFAULT NULL COMMENT '重要程度',
  `start_time` datetime DEFAULT NULL COMMENT '价格有效期开始',
  `end_time` datetime DEFAULT NULL COMMENT '价格有效期结束',
  `trade_type` tinyint(3) DEFAULT NULL COMMENT '交货方式：FOB，CIF，CNF，EXW',
  `reason` varchar(255) DEFAULT NULL COMMENT '原因',
  `result` tinyint(3) DEFAULT NULL COMMENT '结果',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `status` tinyint(3) DEFAULT NULL COMMENT '状态：取消报价：0，特价审批中：1，需求确认：2跟进中：3，赢单：4，输单：5，报价完成：6',
  `old_status` tinyint(3) DEFAULT NULL COMMENT '取消报价前状态',
  `warehouse_type` tinyint(3) DEFAULT NULL COMMENT '入仓类型，一次性：1，分批：2',
  `relation` tinyint(3) DEFAULT NULL COMMENT '报价关联客户，发货人：1，收货人：2',
  `relation_id` bigint DEFAULT NULL COMMENT '报价关联客户id',
  `trade_adress` varchar(255) DEFAULT NULL COMMENT '交货港口、地点',
  `approver` bigint DEFAULT NULL COMMENT '审批人',
  `notifier` bigint DEFAULT NULL COMMENT '通知人',
  `est_sea` decimal(10,2) DEFAULT NULL COMMENT '预计海运费',
  `est_sea_currency` tinyint(3) DEFAULT NULL COMMENT '预计海运费单位',
  `est_clearance` decimal(10,2) DEFAULT NULL COMMENT '预计清关费',
  `est_clearance_currency` tinyint(3) DEFAULT NULL COMMENT '预计清关费单位',
  `sendstatus` tinyint(3) NOT NULL DEFAULT '0' COMMENT '站内信状态，0未发送，1已发送',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `uid` (`consignor_id`) USING BTREE,
  KEY `key_order_id` (`order_id`),
  KEY `key_relation_id` (`relation_id`)
) COMMENT='客户报价表';

-- ----------------------------
-- Table structure for ecw_customer_offer_cart
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_offer_cart`;
CREATE TABLE `ecw_customer_offer_cart` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `admin_id` bigint DEFAULT NULL COMMENT '管理员id',
  `offer_id` bigint DEFAULT NULL COMMENT '报价单id',
  `product_type` int(11) DEFAULT NULL COMMENT '产品类型',
  `product_id` bigint NOT NULL DEFAULT '0' COMMENT '产品id',
  `brand` char(10) NOT NULL COMMENT '品牌',
  `amount` int(11) NOT NULL COMMENT '件数',
  `unit` char(10) NOT NULL COMMENT '单位',
  `box_gauge` char(100) DEFAULT NULL COMMENT '箱规',
  `volume` decimal(10,2) DEFAULT NULL COMMENT '体积',
  `weight` decimal(10,2) DEFAULT NULL COMMENT '重量',
  `worth` decimal(10,2) DEFAULT NULL COMMENT '货值',
  `goods_type` tinyint(3) DEFAULT NULL COMMENT '货物类型',
  `fragile` tinyint(3) DEFAULT NULL COMMENT '易碎：是、否',
  `sea_freight` decimal(10,2) DEFAULT NULL COMMENT '海运费',
  `original_sea_freight` decimal(10,2) DEFAULT NULL COMMENT '原来海运费',
  `sea_freight_currency` char(10) DEFAULT NULL COMMENT '海运费用金额单位',
  `sea_freight_volume` char(10) DEFAULT NULL COMMENT '海运费体积单位',
  `clearance_freight` decimal(10,2) DEFAULT NULL COMMENT '清关费',
  `original_clearance_freight` decimal(10,2) DEFAULT NULL COMMENT '原来清关费',
  `clearance_freight_currency` char(10) DEFAULT NULL COMMENT '清关费用金额单位',
  `clearance_freight_volume` varchar(255) DEFAULT NULL COMMENT '清关费体积单位',
  `estimated_sales` decimal(10,2) DEFAULT NULL COMMENT '预计销售额',
  `start_time` datetime DEFAULT NULL COMMENT '价格有效期开始',
  `end_time` datetime DEFAULT NULL COMMENT '价格有效期结束',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY(`product_id`)
) COMMENT='客户报价购物车表';

-- ----------------------------
-- Table structure for ecw_customer_offer_product
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_offer_product`;
CREATE TABLE `ecw_customer_offer_product` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `admin_id` bigint DEFAULT NULL COMMENT '管理员id',
  `offer_id` bigint DEFAULT NULL COMMENT '报价单id',
  `product_type` int(11) DEFAULT NULL COMMENT '产品类型',
  `product_id` bigint NOT NULL DEFAULT '0' COMMENT '产品id',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '产品中文名',
  `title_en` varchar(255) DEFAULT NULL COMMENT '产品英文名',
  `brand` char(10) NOT NULL COMMENT '品牌',
  `amount` int(11) NOT NULL COMMENT '件数',
  `unit` char(10) NOT NULL COMMENT '单位',
  `box_gauge` char(100) DEFAULT NULL COMMENT '箱规',
  `volume` decimal(10,2) DEFAULT NULL COMMENT '体积',
  `weight` decimal(10,2) DEFAULT NULL COMMENT '重量',
  `worth` decimal(10,2) DEFAULT NULL COMMENT '货值',
  `goods_type` tinyint(3) DEFAULT NULL COMMENT '货物类型',
  `fragile` tinyint(3) DEFAULT NULL COMMENT '易碎：是、否',
  `sea_freight` decimal(10,2) DEFAULT NULL COMMENT '海运费',
  `original_sea_freight` decimal(10,2) DEFAULT NULL COMMENT '原来海运费',
  `sea_freight_currency` char(10) DEFAULT NULL COMMENT '海运费用金额单位',
  `sea_freight_volume` char(10) DEFAULT NULL COMMENT '海运费体积单位',
  `clearance_freight` decimal(10,2) DEFAULT NULL COMMENT '清关费',
  `original_clearance_freight` decimal(10,2) DEFAULT NULL COMMENT '原来清关费',
  `clearance_freight_currency` char(10) DEFAULT NULL COMMENT '清关费用金额单位',
  `clearance_freight_volume` varchar(255) DEFAULT NULL COMMENT '清关费体积单位',
  `estimated_sales` decimal(10,2) DEFAULT NULL COMMENT '预计销售额',
  `start_time` datetime DEFAULT NULL COMMENT '价格有效期开始',
  `end_time` datetime DEFAULT NULL COMMENT '价格有效期结束',
  `prepaid` tinyint(3) DEFAULT NULL COMMENT '是否预付:1均可；2预付；3到付',
  `preferential` tinyint(3) DEFAULT NULL COMMENT '是否优惠：；1优惠；2加佣',
  `approver` bigint DEFAULT NULL COMMENT '审批人',
  `notifier` bigint DEFAULT NULL COMMENT '通知人',
  `other_approval_id` bigint DEFAULT NULL COMMENT '其他审批id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`product_id`),
  KEY `productname` (`title_zh`(191),`title_en`(191)) USING BTREE
) COMMENT='客户报价单货物详情表';

-- ----------------------------
-- Table structure for ecw_customer_product
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_product`;
CREATE TABLE `ecw_customer_product` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `type` int(11) DEFAULT NULL COMMENT '产品类型',
  `attribute` int(11) DEFAULT NULL COMMENT '产品属性',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '产品名称中文',
  `title_en` varchar(255) DEFAULT NULL COMMENT '产品名称英文',
  `addtime` int(11) DEFAULT NULL COMMENT '增加时间',
  `status` tinyint(3) DEFAULT '0' COMMENT '审核：0未审核 1已审核',
  `show` tinyint(3) DEFAULT '0' COMMENT '显示',
  `approver` bigint DEFAULT NULL COMMENT '审批人',
  `notifier` bigint DEFAULT NULL COMMENT '通知人',
  `other_approval_id` bigint DEFAULT NULL COMMENT '其他审批id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `title_zh` (`title_zh`(191)) USING BTREE,
  KEY `title_en` (`title_en`(191)) USING BTREE
) COMMENT='客户产品表';

-- ----------------------------
-- Table structure for ecw_customer_product_price
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_product_price`;
CREATE TABLE `ecw_customer_product_price` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `product_id` bigint DEFAULT NULL COMMENT '原产品id',
  `transport_id` bigint DEFAULT NULL COMMENT '运输方式',
  `departure_id` bigint DEFAULT NULL COMMENT '始发地',
  `objective_id` bigint DEFAULT NULL COMMENT '目的地',
  `sea_freight` decimal(10,2) DEFAULT NULL COMMENT '海运费',
  `original_sea_freight` decimal(10,2) DEFAULT NULL COMMENT '原来海运费',
  `sea_freight_currency` char(100) DEFAULT NULL COMMENT '海运费用金额单位',
  `sea_freight_volume` char(100) DEFAULT NULL COMMENT '海运费体积单位',
  `clearance_freight` decimal(10,2) DEFAULT NULL COMMENT '清关费',
  `original_clearance_freight` decimal(10,0) DEFAULT NULL COMMENT '原来清关费',
  `clearance_freight_currency` char(100) DEFAULT NULL COMMENT '清关费用金额单位',
  `clearance_freight_volume` char(100) DEFAULT NULL COMMENT '清关费体积单位',
  `status` char(5) DEFAULT 'n' COMMENT 'y已审核；n未审核；',
  `prepaid` char(5) NOT NULL COMMENT '是否预付:1均可；2预付；3到付',
  `preferential` tinyint(3) DEFAULT NULL COMMENT '是否优惠：；1优惠；2加佣',
  `offer_id` bigint DEFAULT NULL COMMENT '报价id',
  `offer_pro_id` bigint DEFAULT NULL COMMENT '报价单产品id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`product_id`),
  KEY (`transport_id`),
  KEY (`departure_id`),
  KEY (`objective_id`),
  KEY (`status`)
) COMMENT='产品价格表';

-- ----------------------------
-- Table structure for ecw_customer_source
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_source`;
CREATE TABLE `ecw_customer_source` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(100) DEFAULT NULL COMMENT '来源中文',
  `title_en` varchar(100) DEFAULT NULL COMMENT '来源英文',
  `is_show` tinyint(11) DEFAULT NULL COMMENT '是否显示',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='客户来源表';

-- ----------------------------
-- Table structure for ecw_customer_special_price
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_special_price`;
CREATE TABLE `ecw_customer_special_price` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `offer_id` bigint DEFAULT NULL COMMENT '报价id',
  `offer_pro_id` bigint DEFAULT NULL COMMENT '报价单产品id',
  `product_id` bigint DEFAULT NULL COMMENT '产品id',
  `price_content` longtext COMMENT '特价修改内容',
  `status` int(5) DEFAULT NULL COMMENT '0：未审核，1：已通过，2：未通过',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`product_id`),
  KEY (`status`)
) COMMENT='客户产品特价价格表';

-- ----------------------------
-- Table structure for ecw_customer_status
-- ----------------------------
DROP TABLE IF EXISTS `ecw_customer_status`;
CREATE TABLE `ecw_customer_status` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '投诉类型中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '投诉类型英文',
  `is_show` tinyint(3) DEFAULT '1' COMMENT '是否启用',
  `sort` int(11) DEFAULT '0',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='客户状态表';

-- ----------------------------
-- Table structure for ecw_department
-- ----------------------------
DROP TABLE IF EXISTS `ecw_department`;
CREATE TABLE `ecw_department` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `aid` bigint DEFAULT '1',
  `pid` bigint DEFAULT NULL COMMENT '上级部门id',
  `number` char(100) DEFAULT NULL COMMENT '部门编号',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文部门',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文部门',
  `address_zh` varchar(1000) DEFAULT NULL COMMENT '中文地址',
  `address_en` varchar(1000) DEFAULT NULL COMMENT '英文地址',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `admin_id` bigint DEFAULT '0' COMMENT '主管管理员id',
  `quanxian` text COMMENT '权限',
  `show` char(10) DEFAULT 'y' COMMENT '显示',
  `node` text COMMENT '管理网点',
  `cangku` text COMMENT '管理仓库',
  `xianlu` text COMMENT '管理线路',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='部门表';

-- ----------------------------
-- Table structure for ecw_discount
-- ----------------------------
DROP TABLE IF EXISTS `ecw_discount`;
CREATE TABLE `ecw_discount` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `type` char(50) DEFAULT NULL COMMENT '类型',
  `product_attr` varchar(100) NOT NULL DEFAULT '0' COMMENT '产品属性',
  `product` bigint DEFAULT NULL,
  `product_id` longtext COMMENT '适用产品',
  `renqun` char(11) DEFAULT NULL,
  `member_id` text COMMENT '适用人群、会员',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `start_time` datetime DEFAULT NULL COMMENT '有效期开始',
  `end_time` datetime DEFAULT NULL COMMENT '有效期结束',
  `addtime` char(20) DEFAULT NULL,
  `status` char(10) DEFAULT '0' COMMENT '状态',
  `fasong` char(5) DEFAULT NULL COMMENT '是否发送站内信',
  `yunshu` bigint DEFAULT NULL COMMENT '运输方式',
  `shifadi` bigint DEFAULT NULL COMMENT '始发地',
  `mudidi` bigint DEFAULT NULL COMMENT '目的地',
  `xianlu` text COMMENT '线路',
  `ptype` char(100) DEFAULT NULL COMMENT '重泡货类型',
  `beian` char(50) DEFAULT NULL COMMENT '是否备案',
  `is_light_cargo` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否属于轻货活动：0否，1是',
  `light_unit` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '轻货计算基数',
  `light_symbol` varchar(5) NOT NULL DEFAULT '' COMMENT '轻货条件比较符：gt,lt,eq,ge,le',
  `relation_discount` varchar(50) NOT NULL DEFAULT '' COMMENT '叠加优惠id(多选)',
  `overlay` tinyint(1) NOT NULL DEFAULT '1' COMMENT '同类型优惠是否叠加：0否，1是',
  `out_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '出货类型：0全部，1海运拼柜，2小包裹',
  `fanganhy_type` char(50) DEFAULT NULL COMMENT '满减、特价、优惠类型',
  `fanganhy_startman` char(50) DEFAULT NULL COMMENT '满多少体积或者重量',
  `fanganhy_man` char(50) DEFAULT NULL COMMENT '满多少海运费',
  `fanganhy_mandanwei` char(50) DEFAULT NULL COMMENT '满多少海运费单位',
  `fanganhy_jian` char(50) DEFAULT NULL COMMENT '减多少海运费',
  `fanganhy_jiandanwei` char(50) DEFAULT NULL COMMENT '减多少海运费单位',
  `fanganqg_type` char(50) DEFAULT NULL COMMENT '清关费类型，特价，优惠，满减。。',
  `fanganqg_startman` char(50) DEFAULT NULL COMMENT '满多少体积或者重量',
  `fanganqg_man` char(50) DEFAULT NULL COMMENT '满多少清关费',
  `fanganqg_mandanwei` char(50) DEFAULT NULL COMMENT '满多少清关费单位',
  `fanganqg_jian` char(50) DEFAULT NULL COMMENT '减多少清关费',
  `fanganqg_jiandanwei` char(50) DEFAULT NULL COMMENT '减多少清关费/单位',
  `uid` int(11) DEFAULT NULL,
  `zhuce` char(5) DEFAULT 'n' COMMENT '注册有优惠',
  `is_del` char(5) DEFAULT 'n' COMMENT '删除属性',
  `del_id` bigint DEFAULT NULL COMMENT '删除人id',
  `del_uname` varchar(255) DEFAULT NULL COMMENT '删除人用户名',
  `del_time` datetime DEFAULT NULL COMMENT '删除时间',
  `kong` varchar(10) DEFAULT NULL COMMENT '控货状态',
  `dzbg` varchar(10) DEFAULT NULL COMMENT '单证报关',
  `member_all` char(3) DEFAULT NULL COMMENT '全选时，所有符合订单都可以使用',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='优惠设置表';

-- ----------------------------
-- Table structure for ecw_discount_old
-- ----------------------------
DROP TABLE IF EXISTS `ecw_discount_old`;
CREATE TABLE `ecw_discount_old` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT '0',
  `uname` varchar(255) DEFAULT NULL,
  `title_zh` varchar(255) DEFAULT NULL,
  `title_en` varchar(255) DEFAULT NULL,
  `content_zh` text,
  `content_en` text,
  `type` varchar(100) DEFAULT NULL,
  `zhuce` char(10) DEFAULT 'n' COMMENT '注册就送：y',
  `jine` char(100) DEFAULT NULL,
  `jine_unit` char(50) DEFAULT NULL,
  `jine_qg` char(100) DEFAULT NULL,
  `jine_qg_unit` char(50) DEFAULT NULL,
  `xianzhi` char(50) DEFAULT NULL,
  `starttime` char(20) DEFAULT NULL,
  `endtime` char(20) DEFAULT NULL,
  `fanganhy` text,
  `fanganqg` text,
  `renqunlv` int(11) DEFAULT NULL,
  `renqun` text,
  `yunshu` bigint DEFAULT NULL,
  `shifadi` bigint DEFAULT NULL,
  `mudidi` bigint DEFAULT NULL,
  `beian` char(100) DEFAULT NULL,
  `product_type` int(11) DEFAULT NULL,
  `xianlu` text,
  `product` text,
  `ptype` char(100) DEFAULT NULL,
  `fasong` char(20) DEFAULT NULL,
  `status` int(11) DEFAULT '0' COMMENT '0正常；1已过期；2已关闭',
  `is_del` char(5) DEFAULT 'n',
  `del_id` bigint DEFAULT NULL,
  `del_uname` varchar(255) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='价格优惠表';

-- ----------------------------
-- Table structure for ecw_discount_template
-- ----------------------------
DROP TABLE IF EXISTS `ecw_discount_template`;
CREATE TABLE `ecw_discount_template` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `type` char(50) DEFAULT NULL COMMENT '优惠类型',
  `product` bigint DEFAULT NULL,
  `product_id` text COMMENT '产品id列表 多个值用逗号隔开',
  `renqun` char(11) DEFAULT NULL COMMENT '适用人群',
  `member_id` text COMMENT '客户id列表，多个值用逗号隔开',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '优惠中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '优惠英文标题',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `status` char(10) DEFAULT '0' COMMENT '状态',
  `fasong` char(5) DEFAULT NULL,
  `yunshu` bigint DEFAULT NULL,
  `shifadi` bigint DEFAULT NULL,
  `mudidi` bigint DEFAULT NULL,
  `xianlu` text,
  `ptype` char(100) DEFAULT NULL,
  `beian` char(50) DEFAULT NULL,
  `fanganhy_type` char(50) DEFAULT NULL,
  `fanganhy_startman` char(50) DEFAULT NULL,
  `fanganhy_man` char(50) DEFAULT NULL,
  `fanganhy_mandanwei` char(50) DEFAULT NULL,
  `fanganhy_jian` char(50) DEFAULT NULL,
  `fanganhy_jiandanwei` char(50) DEFAULT NULL,
  `fanganqg_type` char(50) DEFAULT NULL,
  `fanganqg_startman` char(50) DEFAULT NULL,
  `fanganqg_man` char(50) DEFAULT NULL,
  `fanganqg_mandanwei` char(50) DEFAULT NULL,
  `fanganqg_jian` char(50) DEFAULT NULL,
  `fanganqg_jiandanwei` char(50) DEFAULT NULL,
  `uid` bigint DEFAULT NULL,
  `zhuce` char(5) DEFAULT 'n',
  `is_del` char(5) DEFAULT 'n',
  `del_id` bigint DEFAULT NULL,
  `del_uname` varchar(255) DEFAULT NULL,
  `del_time` char(11) DEFAULT NULL,
  `kong` varchar(10) DEFAULT NULL,
  `dzbg` varchar(10) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='优惠设置模版表';

-- ----------------------------
-- Table structure for ecw_dock
-- ----------------------------
DROP TABLE IF EXISTS `ecw_dock`;
CREATE TABLE `ecw_dock` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title_zh` varchar(25) NOT NULL DEFAULT '' COMMENT '中文名称',
  `title_en` varchar(30) NOT NULL DEFAULT '' COMMENT '英文名称',
  `sort` int(11) NOT NULL DEFAULT '99' COMMENT '排序',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否显示，默认显示',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `country_id` varchar(255) DEFAULT NULL COMMENT '国家id',
  `country_zh` varchar(255) DEFAULT NULL COMMENT '国家中文名称',
  `country_en` varchar(255) DEFAULT NULL COMMENT '国家英文名称',
  `province_id` varchar(255) DEFAULT NULL COMMENT '省id',
  `province_zh` varchar(255) DEFAULT NULL COMMENT '省中文名称',
  `province_en` varchar(255) DEFAULT NULL COMMENT '省英文名称',
  `city_id` varchar(255) DEFAULT NULL COMMENT '市id',
  `city_zh` varchar(255) DEFAULT NULL COMMENT '市中文名称',
  `city_en` varchar(255) DEFAULT NULL COMMENT '市英文名称',
  `number` varchar(255) DEFAULT NULL COMMENT '码头编号',
  `type` varchar(255) DEFAULT NULL COMMENT '码头类型',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='码头信息表';

-- ----------------------------
-- Table structure for ecw_finance_log
-- ----------------------------
DROP TABLE IF EXISTS `ecw_finance_log`;
CREATE TABLE `ecw_finance_log` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `fl_type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '类型（1收款单，2付款单）',
  `fl_val` bigint NOT NULL DEFAULT '0' COMMENT '（收/付）款订单id',
  `fl_remark` varchar(255) NOT NULL DEFAULT '' COMMENT '描述',
  `fl_admin_id` bigint NOT NULL DEFAULT '0' COMMENT '操作人id',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='财务日志';

-- ----------------------------
-- Table structure for ecw_guanlian
-- ----------------------------
DROP TABLE IF EXISTS `ecw_guanlian`;
CREATE TABLE `ecw_guanlian` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `pnumber` char(100) DEFAULT NULL COMMENT '订单编号',
  `gnumber` char(100) DEFAULT NULL COMMENT '关联订单编号',
  `user_id` bigint NOT NULL DEFAULT '0' COMMENT '操作人ID',
  `user` varchar(50) NOT NULL DEFAULT '' COMMENT '操作人',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='关联单表';

-- ----------------------------
-- Table structure for ecw_help_center
-- ----------------------------
DROP TABLE IF EXISTS `ecw_help_center`;
CREATE TABLE `ecw_help_center` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型（1帮助中心）',
  `title_zh` varchar(50) NOT NULL COMMENT '中文标题',
  `title_en` varchar(150) NOT NULL COMMENT '英文标题',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否显示（0隐藏，1显示）',
  `order_by` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='帮助中心';

-- ----------------------------
-- Table structure for ecw_location
-- ----------------------------
DROP TABLE IF EXISTS `ecw_location`;
CREATE TABLE `ecw_location` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '库位ID',
  `wms_id` bigint NOT NULL COMMENT '所属仓库ID',
  `ware_id` bigint NOT NULL COMMENT '所属库域',
  `area_id` bigint NOT NULL COMMENT '所属库区',
  `location` varchar(100) NOT NULL DEFAULT '' COMMENT '库位代码',
  `is_shelf` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否货架',
  `parent_id` bigint NOT NULL DEFAULT '0' COMMENT '父级货架',
  `is_show` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否启用：0否，1是',
  `delete_time` datetime DEFAULT NULL COMMENT '删除时间',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  UNIQUE (`area_id`,`location`)
)  COMMENT='仓库储位表';

-- ----------------------------
-- Table structure for ecw_location_area
-- ----------------------------
DROP TABLE IF EXISTS `ecw_location_area`;
CREATE TABLE `ecw_location_area` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '区域ID',
  `wms_id` bigint NOT NULL COMMENT '仓库id',
  `area_name` varchar(50) NOT NULL DEFAULT '' COMMENT '区域名称',
  `area_code` varchar(10) NOT NULL DEFAULT '' COMMENT '区域代码',
  `area_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '区域类型，0库域，1库区',
  `parent_id` bigint NOT NULL DEFAULT '0' COMMENT '父级ID',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='储位区域表';

-- ----------------------------
-- Table structure for ecw_material
-- ----------------------------
DROP TABLE IF EXISTS `ecw_material`;
CREATE TABLE `ecw_material` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `material` varchar(255) NOT NULL DEFAULT '' COMMENT '材质',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='材质';

-- ----------------------------
-- Table structure for ecw_menus
-- ----------------------------
DROP TABLE IF EXISTS `ecw_menus`;
CREATE TABLE `ecw_menus` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0' COMMENT '上级目录id',
  `number` char(100) DEFAULT NULL COMMENT '目录编号',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '目录中文',
  `title_en` varchar(255) DEFAULT NULL COMMENT '目录英文',
  `js` text COMMENT '是否js跳转',
  `js_content` text COMMENT 'js内容',
  `url` varchar(255) DEFAULT 'javascript:void(0);' COMMENT '链接',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `addtime` char(50) DEFAULT NULL,
  `type` char(50) DEFAULT 'option' COMMENT 'list列表页；page单页面；option按钮',
  `is_show` char(5) DEFAULT 'y' COMMENT '是否显示',
  `class` char(100) DEFAULT NULL COMMENT '样式',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='系统后台目录表';

-- ----------------------------
-- Table structure for ecw_merge
-- ----------------------------
DROP TABLE IF EXISTS `ecw_merge`;
CREATE TABLE `ecw_merge` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `number` char(100) DEFAULT NULL COMMENT '申请合单订单号',
  `hedanids` text COMMENT '合单单号',
  `merge_order` text COMMENT '生成的合单号',
  `uid` bigint DEFAULT NULL COMMENT '管理员id',
  `uname` char(100) DEFAULT NULL COMMENT '管理员用户名',
  `addtime` char(20) DEFAULT NULL COMMENT '新增时间',
  `sid` bigint DEFAULT '0' COMMENT '审核管理员id',
  `shenhe` char(100) DEFAULT NULL COMMENT '审核人用户名',
  `audit_at` datetime DEFAULT NULL COMMENT '审核时间',
  `eid` bigint DEFAULT '0',
  `end` char(100) DEFAULT NULL,
  `endtime` char(20) DEFAULT '0',
  `status` char(10) DEFAULT '0' COMMENT '0未审核；1已通过；2未通过',
  `beizhu` varchar(1000) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='合单申请表';

-- ----------------------------
-- Table structure for ecw_message
-- ----------------------------
DROP TABLE IF EXISTS `ecw_message`;
CREATE TABLE `ecw_message` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `fromid` bigint DEFAULT NULL COMMENT '站内信来源id',
  `fromname` varchar(255) DEFAULT NULL COMMENT '站内信来源用户名',
  `sendtime` datetime DEFAULT NULL COMMENT '发送时间',
  `toid` bigint DEFAULT NULL COMMENT '发送对象id',
  `toname` varchar(255) DEFAULT NULL COMMENT '发送对象用户名',
  `readtime` datetime DEFAULT NULL COMMENT '读信息时间',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `status` char(5) DEFAULT '0' COMMENT '状态',
  `type` int(11) DEFAULT '0' COMMENT '0物流信息，1动态，2我的',
  `remarks` varchar(255) DEFAULT NULL,
  `is_notice` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否需要弹窗提示 0为否 1为是',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='站内信表';

-- ----------------------------
-- Table structure for ecw_nav
-- ----------------------------
DROP TABLE IF EXISTS `ecw_nav`;
CREATE TABLE `ecw_nav` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0' COMMENT '父级id',
  `number` char(50) DEFAULT NULL COMMENT '编号',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `keywords_zh` varchar(500) DEFAULT NULL COMMENT '中文关键词',
  `keywords_en` varchar(500) DEFAULT NULL COMMENT '英文关键词',
  `description_zh` varchar(500) DEFAULT NULL COMMENT '中文描述',
  `description_en` varchar(500) DEFAULT NULL COMMENT '英文描述',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `aorder` int(11) DEFAULT '0' COMMENT '排序值',
  `is_show` char(5) DEFAULT 'y' COMMENT '是否展示',
  `img` varchar(255) DEFAULT NULL COMMENT '图片地址',
  `url` varchar(255) DEFAULT NULL COMMENT '链接地址',
  `type` char(100) DEFAULT NULL COMMENT '导航类型 list为列表 page为页面',
  `class` varchar(50) DEFAULT NULL COMMENT '图标名称',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`pid`),
  KEY (`is_show`),
  KEY (`type`),
  KEY (`class`)
) COMMENT='前台导航表';

-- ----------------------------
-- Table structure for ecw_news
-- ----------------------------
DROP TABLE IF EXISTS `ecw_news`;
CREATE TABLE `ecw_news` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` int(11) DEFAULT NULL,
  `title_zh` varchar(500) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(500) DEFAULT NULL COMMENT '英文标题',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `img` varchar(255) DEFAULT NULL COMMENT '图片地址',
  `author` varchar(255) DEFAULT NULL COMMENT '作者',
  `is_show` char(5) DEFAULT 'y' COMMENT '是否展示 y为是 n为否',
  `is_index` char(5) DEFAULT 'n' COMMENT '是否置顶 y为是 n为否',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='新闻资讯表';

-- ----------------------------
-- Table structure for ecw_node
-- ----------------------------
DROP TABLE IF EXISTS `ecw_node`;
CREATE TABLE `ecw_node` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `number` varchar(100) DEFAULT NULL COMMENT '站点编号',
  `zhou` bigint DEFAULT NULL COMMENT '洲',
  `guojia` bigint DEFAULT NULL COMMENT '国家',
  `sheng` bigint DEFAULT NULL COMMENT '省',
  `shi` bigint DEFAULT NULL COMMENT '市',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `img` varchar(255) DEFAULT NULL COMMENT '图片地址',
  `titles_zh` varchar(255) DEFAULT NULL COMMENT '中文副标题',
  `titles_en` varchar(500) DEFAULT NULL COMMENT '英文副标题',
  `keywords_zh` varchar(500) DEFAULT NULL COMMENT '中文关键词',
  `keywords_en` varchar(500) DEFAULT NULL COMMENT '英文关键词',
  `description_zh` varchar(1000) DEFAULT NULL COMMENT '中文描述信息',
  `description_en` varchar(1000) DEFAULT NULL COMMENT '英文描述信息',
  `content_zh` text COMMENT '中文网点详情',
  `content_en` text COMMENT '英文网点详情',
  `address_zh` varchar(1000) DEFAULT NULL COMMENT '中文网点地址',
  `address_en` varchar(1000) DEFAULT NULL COMMENT '英文网点地址',
  `shuxings` char(10) DEFAULT '0' COMMENT '网点属性，0进出口；1只进口；2只出口',
  `freight` varchar(500) DEFAULT NULL COMMENT '运输方式id，多个用逗号隔开',
  `worktime` datetime DEFAULT NULL COMMENT '上班时间',
  `admin_id` bigint DEFAULT '0' COMMENT '负责人的用户id',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `show` char(5) DEFAULT 'y' COMMENT '是否展示 y为是 n为否',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='服务网点表';

-- ----------------------------
-- Table structure for ecw_number_relation
-- ----------------------------
DROP TABLE IF EXISTS `ecw_number_relation`;
CREATE TABLE `ecw_number_relation` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `qrcode` varchar(32) NOT NULL DEFAULT '' COMMENT '箱号编码',
  `order_id` bigint NOT NULL DEFAULT '0' COMMENT '订单ID',
  `pid` bigint NOT NULL DEFAULT '0' COMMENT '父订单id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  UNIQUE KEY (`qrcode`),
  KEY (`order_id`),
  KEY (`pid`)
) COMMENT='箱号关系表';

-- ----------------------------
-- Table structure for ecw_order
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order`;
CREATE TABLE `ecw_order` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `no` char(100) NOT NULL COMMENT '订单编号',
  `number` char(50) NOT NULL COMMENT '订单编号',
  `tidan_no` char(50) DEFAULT NULL COMMENT '提单编号',
  `parent_number` char(50) DEFAULT '0' COMMENT '父编号',
  `old_numbers` text COMMENT '旧编号',
  `transport_id` bigint DEFAULT '0' COMMENT '运输方式id',
  `transport` text COMMENT '运输方式',
  `order_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '订单类型：1小包裹',
  `user_id` bigint DEFAULT '0' COMMENT '会员id',
  `aid` bigint DEFAULT '0',
  `marks` varchar(255) DEFAULT NULL COMMENT '唛头',
  `product_record` char(1) NOT NULL DEFAULT '' COMMENT '产品备案属性：y有牌,n无牌,z中性,h混牌',
  `kong` char(5) DEFAULT 'n' COMMENT '是否控货',
  `kong_status` char(5) DEFAULT 'n' COMMENT 'y控货中；n已放完货；s部分控货',
  `dzbg` char(5) DEFAULT 'w' COMMENT 'w我司全代；z自单代报；h混合报关',
  `delivery_date` char(50) DEFAULT NULL,
  `zxd` varchar(255) DEFAULT NULL COMMENT '上传文件',
  `paytype` char(100) DEFAULT NULL COMMENT '付款类型',
  `co` char(100) DEFAULT NULL,
  `status` char(11) DEFAULT '0' COMMENT '-4已缴清退仓费用；-3退仓通过；-2申请退仓；-1取消订单；0已下单未入仓；1已入仓；2已装柜；3已到港；4已卸货；5已入仓',
  `is_del` char(5) DEFAULT 'n' COMMENT '是否被删掉y删掉；n正常',
  `fcl_tag` char(20) DEFAULT '0' COMMENT '是否删除',
  `daishou` char(100) DEFAULT NULL COMMENT '代收',
  `is_collection` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否代收货款收款 0为否 1为是',
  `zhong_pao` char(100) DEFAULT NULL COMMENT '重泡货属性',
  `w_volume` char(100) DEFAULT NULL COMMENT '重货体积',
  `v_weight` char(100) DEFAULT NULL COMMENT '泡货重量',
  `weight_unit` decimal(10,2) DEFAULT NULL COMMENT '重货标准基数',
  `warehouse_type` varchar(255) NOT NULL DEFAULT '' COMMENT '入仓类型',
  `iso2` varchar(20) DEFAULT '' COMMENT '国家简称',
  `dialCode` smallint(10) NOT NULL DEFAULT '0' COMMENT '国家区号',
  `sendsms` tinyint(3) DEFAULT NULL COMMENT '是否发送过入仓短信 已发送：1，未发送：0',
  `commission_id` bigint DEFAULT NULL COMMENT '佣金id',
  `documents_file` text COMMENT '单证资料',
  `remarks` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `is_todo_order` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否待办订单：0否，1是',
  `advance_type` varchar(20) NOT NULL DEFAULT '' COMMENT '垫付类型(多个):10内陆运输费，20打木架/托，30纸箱打包',
  `trans_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '垫付的内陆运输费用',
  `trans_currency` varchar(5) NOT NULL DEFAULT '' COMMENT '运输费币种',
  `plate_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '打木架/托费用',
  `box_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '纸箱打包费用',
  `pay_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '付款类型:10中国预付，20尼日利亚预付，30加纳预付，40到付',
  `todo_detail` varchar(255) NOT NULL DEFAULT '' COMMENT '待办内容详情',
  `advance_who` bigint NOT NULL DEFAULT '0' COMMENT '特需申请人id',
  `to_departure_id` bigint NOT NULL DEFAULT '0' COMMENT '调仓始发地',
  `sum_num` int(11) NOT NULL DEFAULT '0' COMMENT '入仓箱数',
  `sum_volume` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '入仓方数',
  `sum_weight` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '入仓重量',
  `weight_ratio` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '重货比',
  `customer_id` bigint unsigned NOT NULL DEFAULT '0' COMMENT '发货人的客户id',
  `ware_id` bigint NOT NULL DEFAULT '0' COMMENT '库域ID',
  `area_id` bigint NOT NULL DEFAULT '0' COMMENT '库区ID',
  `location_id` bigint NOT NULL DEFAULT '0' COMMENT '库位ID',
  `location_name` varchar(255) NOT NULL DEFAULT '' COMMENT '仓位名称，多个用(,)号隔开',
  `sum_value` decimal(10,2) unsigned NOT NULL DEFAULT '0.00' COMMENT '货值',
  `valuation_fee` decimal(10,0) unsigned NOT NULL DEFAULT '0' COMMENT '保价费',
  `rucang_time` datetime DEFAULT NULL COMMENT '入仓时间',
  `daogang_time` datetime DEFAULT NULL COMMENT '到港时间',
  `qingguan_time` datetime DEFAULT NULL COMMENT '清关时间',
  `pre_load_time` datetime DEFAULT NULL COMMENT '已预装时间',
  `load_time` datetime DEFAULT NULL COMMENT '已装柜时间',
  `unload_time` datetime DEFAULT NULL COMMENT '已卸柜时间',
  `take_time` datetime  DEFAULT NULL COMMENT '提货时间',
  `split_time` datetime DEFAULT NULL COMMENT '拆单时间',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`no`),
  KEY (`number`),
  KEY (`user_id`),
  KEY (`status`),
  KEY (`transport_id`),
  KEY (`parent_number`),
  KEY (`customer_id`),
  KEY (`location_id`)
) COMMENT='订单表';

-- ----------------------------
-- Table structure for ecw_order_approval
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_approval`;
CREATE TABLE `ecw_order_approval` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `order_id` bigint NOT NULL COMMENT '订单id',
  `order_number` char(50) NOT NULL COMMENT '订单号',
  `cost_id` bigint DEFAULT '0' COMMENT '费用id',
  `approval_type` int(11) NOT NULL COMMENT '审批类型 1费用审批 2价格审批 3合单 4拆单 5调仓 6退仓 7订单修改 8放货修改 9取消放货 10复核申请 11调货 12未报价审批 13入仓修改',
  `approval_subtype` tinyint(4) NOT NULL DEFAULT '0' COMMENT '审批子类型：2-1(特价-价格),2-2(特价-重货标准优惠)',
  `approval_type_name` varchar(100) NOT NULL COMMENT '审批类型name',
  `approval_describe` varchar(255) NOT NULL COMMENT '审批描述',
  `approval_content` longtext COMMENT '票原内容',
  `approval_content_new` longtext COMMENT '票修改内容',
  `applicant_id` bigint NOT NULL COMMENT '申请人id',
  `applicant_name` varchar(100) NOT NULL COMMENT '申请人name',
  `approval_id` bigint NOT NULL COMMENT '审批人id',
  `approval_name` varchar(100) NOT NULL COMMENT '审批人name',
  `approval_reply` varchar(500) NOT NULL DEFAULT '' COMMENT '审批回复',
  `approval_status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '状态，1通过并申请复核，2通过，3拒绝',
  `check_id` bigint NOT NULL DEFAULT '0' COMMENT '复核人id',
  `check_name` varchar(100) NOT NULL DEFAULT '' COMMENT '复核人name',
  `check_reply` varchar(500) NOT NULL DEFAULT '' COMMENT '复核回复',
  `check_at` datetime DEFAULT NULL COMMENT '复核时间',
  `notifier_id` bigint NOT NULL DEFAULT '0' COMMENT '通知人id',
  `notifier_name` varchar(255) NOT NULL DEFAULT '' COMMENT '通知人名称',
  `audit_at` datetime DEFAULT NULL COMMENT '审批时间',
  `certificate` varchar(255) NOT NULL DEFAULT '' COMMENT '凭证',
  `remarks` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `reason` tinyint(3) NOT NULL DEFAULT '0' COMMENT '原因',
  `pictures` text COMMENT '暂缓放货上传图片',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`order_id`),
  KEY (`create_time`)
) COMMENT='订单审核表';

-- ----------------------------
-- Table structure for ecw_order_approval_log
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_approval_log`;
CREATE TABLE `ecw_order_approval_log` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `appid` bigint NOT NULL DEFAULT '0' COMMENT '审批id',
  `order_id` bigint NOT NULL COMMENT '订单id',
  `order_number` char(50) NOT NULL COMMENT '订单号',
  `cost_id` bigint DEFAULT '0' COMMENT '费用id',
  `approval_type` int(11) NOT NULL COMMENT '审批类型',
  `approval_subtype` tinyint(4) NOT NULL DEFAULT '0' COMMENT '审批子类型：2-1(特价-价格),2-2(特价-重货标准优惠)',
  `approval_type_name` varchar(100) NOT NULL COMMENT '审批类型name',
  `approval_describe` varchar(255) NOT NULL COMMENT '审批描述',
  `approval_content` longtext COMMENT '票原内容',
  `approval_content_new` longtext COMMENT '票修改内容',
  `applicant_id` bigint NOT NULL COMMENT '申请人id',
  `applicant_name` varchar(100) NOT NULL COMMENT '申请人name',
  `approval_id` bigint NOT NULL COMMENT '审批人id',
  `approval_name` varchar(100) NOT NULL COMMENT '审批人name',
  `approval_reply` varchar(500) NOT NULL DEFAULT '' COMMENT '审批回复',
  `approval_status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '状态，1通过并申请复核，2通过，3拒绝',
  `check_id` bigint NOT NULL DEFAULT '0' COMMENT '复核人id',
  `check_name` varchar(100) NOT NULL DEFAULT '' COMMENT '复核人name',
  `check_reply` varchar(500) NOT NULL DEFAULT '' COMMENT '复核回复',
  `check_at` datetime DEFAULT NULL COMMENT '复核时间',
  `notifier_id` bigint NOT NULL DEFAULT '0' COMMENT '通知人id',
  `notifier_name` varchar(255) NOT NULL DEFAULT '' COMMENT '通知人名称',
  `audit_at` datetime DEFAULT NULL COMMENT '审批时间',
  `certificate` varchar(255) NOT NULL DEFAULT '' COMMENT '证书',
  `remarks` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `reason` tinyint(3) NOT NULL DEFAULT '0' COMMENT '原因，1：收货人号码错误，2：更换收货人，3：展缓放货',
  `pictures` text COMMENT '暂缓放货上传图片',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`appid`),
  KEY (`order_id`),
  KEY (`create_time`)
) COMMENT='订单审核记录表';

-- ----------------------------
-- Table structure for ecw_order_baojia_shenqing
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_baojia_shenqing`;
CREATE TABLE `ecw_order_baojia_shenqing` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `number` varchar(100) DEFAULT NULL COMMENT '订单编号',
  `order_id` bigint DEFAULT NULL COMMENT '订单id',
  `product_id` bigint DEFAULT NULL COMMENT '产品id',
  `xdgid` bigint DEFAULT NULL COMMENT '下单id',
  `content` text COMMENT '申请内容',
  `uid` bigint DEFAULT '0' COMMENT '申请人id',
  `author` varchar(255) DEFAULT NULL COMMENT '申请人',
  `shid` bigint DEFAULT NULL COMMENT '审核人id',
  `shenhe` varchar(255) DEFAULT NULL COMMENT '审核人',
  `shtime` datetime DEFAULT NULL COMMENT '审核时间',
  `status` int(11) DEFAULT '0' COMMENT '状态',
  `type` varchar(255) DEFAULT 'baojia' COMMENT '类型',
  `huifu` text COMMENT '回复',
  `route` text COMMENT '线路信息',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY `number` (`number`) USING BTREE,
  KEY `order_id` (`order_id`) USING BTREE,
  KEY `product_id` (`product_id`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY (`create_time`)
) COMMENT='订单报价申请';

-- ----------------------------
-- Table structure for ecw_order_departure
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_departure`;
CREATE TABLE `ecw_order_departure` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `departure_id` bigint DEFAULT NULL COMMENT '始发地id',
  `departure` text COMMENT '始发地详情',
  `type` char(5) DEFAULT 'a' COMMENT 'a调仓标志;m原始数据，真正的始发仓库',
  `is_this` char(5) DEFAULT 'n' COMMENT '货到没到这个仓库：n未到；y已到',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`pid`),
  KEY (`type`),
  KEY (`is_this`),
  KEY (`departure_id`),
  KEY (`create_time`)
) COMMENT='订单始发仓库表';

-- ----------------------------
-- Table structure for ecw_order_fahuoren
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_fahuoren`;
CREATE TABLE `ecw_order_fahuoren` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '下单用户id',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `fid` bigint DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '发货人名字',
  `phone` varchar(255) DEFAULT NULL COMMENT '手机',
  `email` varchar(255) DEFAULT NULL COMMENT '邮箱',
  `company` varchar(500) DEFAULT NULL COMMENT '公司',
  `addtime` char(50) DEFAULT NULL,
  `cart_id` bigint NOT NULL DEFAULT '0' COMMENT '购物车id',
  `iso2` varchar(20) DEFAULT '' COMMENT '国家简称',
  `dialCode` smallint(10) NOT NULL DEFAULT '0' COMMENT '国家区号',
  `customer_id` bigint NOT NULL DEFAULT '0',
  `customer_contacts_id` bigint NOT NULL DEFAULT '0',
  `is_devolve` tinyint(3) NOT NULL DEFAULT '0' COMMENT '控货权是否转移 0否 1是',
  `data_from` varchar(255) NOT NULL DEFAULT 'admin' COMMENT '联系人信息来自的表',
  `data_from_id` bigint NOT NULL DEFAULT '0' COMMENT '联系人信息来自的表对应id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `uid` (`uid`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `name` (`name`) USING BTREE,
  KEY `phone` (`phone`) USING BTREE,
  KEY `key_customer_id` (`customer_id`),
  KEY `key_customer_contacts_id` (`customer_contacts_id`)
) COMMENT='订单发货人信息表';

-- ----------------------------
-- Table structure for ecw_order_fanghuo
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_fanghuo`;
CREATE TABLE `ecw_order_fanghuo` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '用户id',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `kid` bigint DEFAULT NULL COMMENT '控货人id',
  `khname` varchar(255) DEFAULT NULL COMMENT '控货人姓名',
  `khphone` varchar(255) DEFAULT NULL COMMENT '控货人手机',
  `khemail` varchar(255) DEFAULT NULL COMMENT '控货人邮箱',
  `khcompany` varchar(255) DEFAULT NULL COMMENT '控货人公司',
  `fhname` varchar(255) DEFAULT NULL COMMENT '收货人姓名',
  `fhphone` varchar(255) DEFAULT NULL COMMENT '收货人手机',
  `fhemail` varchar(255) DEFAULT NULL COMMENT '收货人邮箱',
  `fhcompany` varchar(255) DEFAULT NULL COMMENT '收货人公司',
  `fhnum` varchar(255) DEFAULT NULL COMMENT '放货数量',
  `fhvolume` varchar(255) DEFAULT NULL COMMENT '放货体积',
  `fhweight` varchar(255) DEFAULT NULL COMMENT '放货重量',
  `fhbeizhu` varchar(255) DEFAULT NULL COMMENT '放货备注',
  `iso2` varchar(20) DEFAULT '' COMMENT '国家简称',
  `dialCode` smallint(10) NOT NULL DEFAULT '0' COMMENT '国家区号',
  `sources` varchar(10) DEFAULT NULL COMMENT '放货端：会员pc：mpc，管理员pc：apc',
  `status` tinyint(3) NOT NULL DEFAULT '1' COMMENT '放货中：1，已放货：2，反审核：-1',
  `is_take` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否提货 0为未提货 1为已提货',
  `take_sort` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '提货序号',
  `take_num` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '提货数量',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `uid` (`uid`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `kid` (`kid`) USING BTREE
) COMMENT='订单放货信息表';

-- ----------------------------
-- Table structure for ecw_order_feiyong_shenqing
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_feiyong_shenqing`;
CREATE TABLE `ecw_order_feiyong_shenqing` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `number` varchar(255) DEFAULT NULL COMMENT '订单编号',
  `pid` bigint DEFAULT NULL COMMENT '费用类型id',
  `total` varchar(255) DEFAULT NULL COMMENT '费用总数',
  `currency` int(11) DEFAULT NULL COMMENT '费用单位',
  `remarks` text COMMENT '备注',
  `uid` bigint DEFAULT NULL COMMENT '申请人id',
  `author` varchar(255) DEFAULT NULL COMMENT '申请人',
  `sid` bigint DEFAULT NULL COMMENT '审核id',
  `audited` varchar(255) DEFAULT NULL COMMENT '审核人',
  `audit_at` datetime DEFAULT NULL COMMENT '审核时间',
  `status` int(11) DEFAULT '0' COMMENT '状态',
  `huifu` text COMMENT '回复',
  `fee` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '是否跟客户收取相关费用',
  `payment_type` tinyint(5) NOT NULL DEFAULT '0' COMMENT '预付，付款类型：中国预付    prepaid sea freight in China  / clearing freight in China（提单英文内容）\\r\\n尼日利亚到付	prepaid sea freight in Nigeria  / clearing freight in Nigeria\\r\\n加纳到付	prepaid sea freight in Ghana  / clearing freight in Ghana\\r\\n莫桑比克到付prepaid sea freight in Mozambique  / clearing freight in Mozambique\\r\\n肯尼亚到付	prepaid sea freight in Kenya  / clearing freight in Kenya',
  `is_confirm` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否确认收款 0为否 1为是',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `number` (`number`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `status` (`status`) USING BTREE
) COMMENT='订单费用申请表';

-- ----------------------------
-- Table structure for ecw_order_goods_baojia
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_goods_baojia`;
CREATE TABLE `ecw_order_goods_baojia` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `xdgid` bigint DEFAULT NULL COMMENT '下单id',
  `rcgid` bigint DEFAULT NULL COMMENT '入仓id',
  `zggid` bigint DEFAULT NULL COMMENT '装柜id',
  `hyf` varchar(255) DEFAULT NULL COMMENT '海运费',
  `hymonetary` varchar(255) DEFAULT NULL COMMENT '海运费单位',
  `hyffh` varchar(255) DEFAULT NULL COMMENT '海运费金额单位',
  `qgf` varchar(255) DEFAULT NULL COMMENT '清关费',
  `qgmonetary` varchar(255) DEFAULT NULL COMMENT '清关费体积单位',
  `qgffh` varchar(255) DEFAULT NULL COMMENT '清关费金额单位',
  `addtime` char(50) DEFAULT NULL,
  `prepaid` char(50) DEFAULT NULL COMMENT '是否预付',
  `youhui` char(50) DEFAULT 'zhengchang' COMMENT '是否优惠',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid` (`pid`) USING BTREE,
  KEY `rcgid` (`rcgid`) USING BTREE,
  KEY `xdgid` (`xdgid`) USING BTREE
) COMMENT='货物报价记录表';

-- ----------------------------
-- Table structure for ecw_order_goods_rc
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_goods_rc`;
CREATE TABLE `ecw_order_goods_rc` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `old_pid` bigint DEFAULT '0',
  `xdgid` bigint DEFAULT '0' COMMENT '下单货物详情表编号id',
  `pid` bigint DEFAULT '0' COMMENT '订单id',
  `uid` bigint DEFAULT '0' COMMENT '谁的货',
  `keys` char(11) DEFAULT '0',
  `product_id` bigint NOT NULL DEFAULT '0' COMMENT '产品id',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '产品中文',
  `title_en` varchar(255) DEFAULT NULL COMMENT '产品英文',
  `brand_id` bigint NOT NULL DEFAULT '0' COMMENT '品牌id',
  `brank` varchar(255) DEFAULT NULL COMMENT '备案',
  `record` char(1) NOT NULL DEFAULT '' COMMENT '备案属性：y有牌,n无牌,z中性',
  `documents` char(10) DEFAULT 'n' COMMENT '报关文件',
  `num` char(100) DEFAULT NULL COMMENT '数量',
  `volume` char(100) DEFAULT NULL COMMENT '体积',
  `w_volume` char(100) DEFAULT NULL COMMENT '重货体积',
  `j_volume` char(100) DEFAULT NULL COMMENT '减小体积',
  `chang` char(100) DEFAULT NULL COMMENT '长',
  `kuan` char(100) DEFAULT NULL COMMENT '宽',
  `gao` char(100) DEFAULT NULL COMMENT '高',
  `weight` char(100) DEFAULT NULL COMMENT '重量',
  `v_weight` char(100) DEFAULT NULL COMMENT '泡货重量',
  `j_weight` char(100) DEFAULT NULL COMMENT '减小重量',
  `alls` char(10) DEFAULT 'y' COMMENT '一次性到货',
  `outs` char(100) DEFAULT '0' COMMENT '到齐',
  `hycosts` char(100) DEFAULT '-1' COMMENT '海运费',
  `hymonetary` char(100) DEFAULT NULL COMMENT '海运费体积单位',
  `hyfh` char(100) DEFAULT NULL COMMENT '海运费单位',
  `hytotals_yingshou` char(100) DEFAULT NULL COMMENT '海运费应收',
  `hytotals_shishou` char(100) DEFAULT NULL COMMENT '海运费实收',
  `hy_youhui` char(100) DEFAULT NULL COMMENT '优惠类型id',
  `hy_lx` char(100) DEFAULT NULL COMMENT '优惠类型',
  `qgcosts` char(100) DEFAULT '-1' COMMENT '清关费',
  `qgmonetary` char(100) DEFAULT NULL COMMENT '清关费体积单位',
  `qgfh` char(100) DEFAULT NULL COMMENT '清关费单位',
  `qgtotals_yingshou` char(100) DEFAULT NULL COMMENT '清关费应收',
  `qgtotals_shishou` char(100) DEFAULT NULL COMMENT '清关费实收',
  `qg_youhui` char(100) DEFAULT NULL COMMENT '清关费优惠类型id',
  `qg_lx` char(100) DEFAULT NULL COMMENT '优惠类型',
  `addtime` char(20) DEFAULT NULL,
  `status` char(10) DEFAULT '0' COMMENT '状态',
  `type` char(10) DEFAULT '0' COMMENT '0下单货物；1非下单货物',
  `prepaid` char(10) DEFAULT 's' COMMENT '是否预付',
  `box_id` bigint DEFAULT '0' COMMENT '预装id',
  `box_key` bigint DEFAULT '0' COMMENT '预装位置',
  `box_sort` int(11) DEFAULT '100' COMMENT '预装位置的顺序',
  `youhui` char(20) DEFAULT 'zhengchang' COMMENT '是否有优惠',
  `add_num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '改版后的数量之前为箱数',
  `material` varchar(255) NOT NULL DEFAULT '' COMMENT '材质',
  `package_unit` varchar(255) NOT NULL DEFAULT '箱' COMMENT '包装单位',
  `package_type` varchar(10) NOT NULL DEFAULT '' COMMENT '包装类型',
  `value` varchar(100) DEFAULT '0' COMMENT '货值',
  `add_type` tinyint(3) NOT NULL DEFAULT '0' COMMENT '整板类型',
  `express_no` varchar(255) NOT NULL DEFAULT '' COMMENT '快递单号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`pid`),
  KEY (`uid`),
  KEY (`num`),
  KEY (`status`),
  KEY (`brand_id`),
  KEY (`product_id`),
  KEY (`create_time`)
) COMMENT='入仓货物详情表';

-- ----------------------------
-- Table structure for ecw_order_goods_rc_id
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_goods_rc_id`;
CREATE TABLE `ecw_order_goods_rc_id` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `order_goods_rc_id` bigint NOT NULL DEFAULT '0' COMMENT '订单货物入仓id',
  `box_id` bigint NOT NULL DEFAULT '0' COMMENT '柜子id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='记录订单补单的入仓id';

-- ----------------------------
-- Table structure for ecw_order_goods_xd
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_goods_xd`;
CREATE TABLE `ecw_order_goods_xd` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `old_pid` bigint DEFAULT '0',
  `pid` bigint DEFAULT '0' COMMENT '订单id',
  `uid` bigint DEFAULT '0' COMMENT '谁的货',
  `keys` char(11) DEFAULT '0' COMMENT '装柜部分编号',
  `product_id` bigint NOT NULL DEFAULT '0' COMMENT '产品id',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '商品中文名称',
  `title_en` varchar(255) DEFAULT NULL COMMENT '商品英文名称',
  `brand_id` bigint NOT NULL DEFAULT '0' COMMENT '品牌id',
  `brank` varchar(255) DEFAULT NULL COMMENT '备案',
  `documents` char(10) DEFAULT 'n' COMMENT '报关文件',
  `num` char(100) DEFAULT NULL COMMENT '数量',
  `volume` char(100) DEFAULT NULL COMMENT '体积',
  `w_volume` char(100) DEFAULT NULL COMMENT '重货体积',
  `j_volume` char(100) DEFAULT NULL COMMENT '减小体积',
  `weight` char(100) DEFAULT NULL COMMENT '重量',
  `v_weight` char(100) DEFAULT NULL COMMENT '泡货重量',
  `j_weight` char(100) DEFAULT NULL COMMENT '减小重量',
  `alls` char(10) DEFAULT 'y' COMMENT '一次性到货',
  `outs` char(100) DEFAULT '0' COMMENT '到齐',
  `hycosts` char(100) DEFAULT '-1' COMMENT '海运费',
  `hymonetary` char(100) DEFAULT NULL COMMENT '海运费体积单位',
  `hyfh` char(100) DEFAULT NULL COMMENT '海运费单位',
  `hytotals_yingshou` char(100) DEFAULT NULL COMMENT '海运费应收',
  `hytotals_shishou` char(100) DEFAULT NULL COMMENT '海运费实收',
  `hy_youhui` bigint DEFAULT NULL COMMENT '海运费优惠类型id',
  `hy_lx` char(100) DEFAULT NULL COMMENT '海运费优惠类型',
  `qgcosts` char(100) DEFAULT '-1' COMMENT '清关费',
  `qgmonetary` char(100) DEFAULT NULL COMMENT '清关费体积单位',
  `qgfh` char(100) DEFAULT NULL COMMENT '清关费单位',
  `qgtotals_yingshou` char(100) DEFAULT NULL COMMENT '清关费应收',
  `qgtotals_shishou` char(100) DEFAULT NULL COMMENT '清关费实收',
  `qg_youhui` bigint DEFAULT NULL COMMENT '清关费优惠类型id',
  `qg_lx` char(100) DEFAULT NULL COMMENT '清关费优惠类型',
  `status` char(10) DEFAULT '0' COMMENT '状态',
  `type` char(10) DEFAULT '0' COMMENT '货物类型 0下单货物；1非下单货物',
  `prepaid` char(20) DEFAULT 's' COMMENT '是否预付 n为否 y为是 s为均可',
  `youhui` char(20) DEFAULT 'zhengchang' COMMENT '是否有优惠',
  `add_num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '改版后的数量之前为箱数',
  `material` varchar(255) DEFAULT NULL COMMENT '材质',
  `package_unit` varchar(255) NOT NULL DEFAULT '箱' COMMENT '包装单位',
  `value` varchar(100) DEFAULT '0' COMMENT '货值',
  `express_no` varchar(255) NOT NULL DEFAULT '' COMMENT '快递单号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid` (`pid`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `key_product_id` (`product_id`),
  KEY `key_brand_id` (`brand_id`)
) COMMENT='下单货物详情表';

-- ----------------------------
-- Table structure for ecw_order_goods_zg
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_goods_zg`;
CREATE TABLE `ecw_order_goods_zg` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0' COMMENT '订单id',
  `xdgid` bigint DEFAULT '0' COMMENT '下单货物详情表对应id',
  `rcgid` bigint DEFAULT '0' COMMENT '出现异常的入仓货物详情id',
  `bid` bigint DEFAULT '0' COMMENT '柜号id',
  `bfid` bigint DEFAULT '0' COMMENT '装在哪一部分',
  `uid` bigint DEFAULT '0' COMMENT '谁的货',
  `keys` char(11) DEFAULT NULL,
  `title_zh` varchar(255) DEFAULT NULL,
  `title_en` varchar(255) DEFAULT NULL,
  `brank` varchar(255) DEFAULT NULL,
  `documents` char(10) DEFAULT 'n',
  `num` char(100) DEFAULT NULL,
  `volume` char(100) DEFAULT NULL,
  `weight` char(100) DEFAULT NULL,
  `alls` char(10) DEFAULT 'y',
  `outs` char(100) DEFAULT '0',
  `hycosts` char(100) DEFAULT '-1',
  `hydw_zh` char(100) DEFAULT NULL,
  `hydw_en` char(100) DEFAULT NULL,
  `hyfh` char(100) DEFAULT NULL,
  `qgcosts` char(100) DEFAULT '-1',
  `qgdw_zh` char(100) DEFAULT NULL,
  `qgdw_en` char(100) DEFAULT NULL,
  `qgfh` char(100) DEFAULT NULL,
  `add_num` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '改版后的数量之前为箱数',
  `material` varchar(255) NOT NULL DEFAULT '' COMMENT '材质',
  `package_unit` varchar(255) NOT NULL DEFAULT '箱' COMMENT '包装单位',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='装柜货物详情表';

-- ----------------------------
-- Table structure for ecw_order_id
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_id`;
CREATE TABLE `ecw_order_id` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `order_id` bigint DEFAULT '0' COMMENT '订单id',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `note` varchar(255) DEFAULT NULL COMMENT '说明',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`user_id`),
  KEY (`order_id`),
  KEY (`create_time`)
) COMMENT='订单号记录表';

-- ----------------------------
-- Table structure for ecw_order_konghuoren
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_konghuoren`;
CREATE TABLE `ecw_order_konghuoren` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '用户id',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `kid` bigint DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '控货人名字',
  `phone` varchar(255) DEFAULT NULL COMMENT '手机',
  `email` varchar(255) DEFAULT NULL COMMENT '邮箱',
  `company` varchar(255) DEFAULT NULL COMMENT '公司',
  `iso2` varchar(20) DEFAULT '' COMMENT '国家简称',
  `dialCode` smallint(10) NOT NULL DEFAULT '0' COMMENT '国家区号',
  `customer_id` bigint NOT NULL DEFAULT '0' COMMENT '客户id',
  `customer_contacts_id` bigint NOT NULL DEFAULT '0' COMMENT '客户联系人id',
  `is_actual` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否为实际控货人',
  `data_from` varchar(255) NOT NULL DEFAULT 'admin' COMMENT '联系人信息来自的表',
  `data_from_id` bigint NOT NULL DEFAULT '0' COMMENT '联系人信息来自的表对应id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `uid` (`uid`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `kid` (`kid`) USING BTREE,
  KEY `name` (`name`) USING BTREE
) COMMENT='订单控货人信息表';

-- ----------------------------
-- Table structure for ecw_order_konghuoren_fp
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_konghuoren_fp`;
CREATE TABLE `ecw_order_konghuoren_fp` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `num` int(11) DEFAULT NULL COMMENT '放货数量',
  `fid` bigint DEFAULT NULL COMMENT '放货id',
  `status` char(10) DEFAULT '0' COMMENT '状态',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`pid`)
) COMMENT='订单分批放货表';

-- ----------------------------
-- Table structure for ecw_order_label
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_label`;
CREATE TABLE `ecw_order_label` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `pid` bigint NOT NULL COMMENT '订单id',
  `start` int(5) NOT NULL COMMENT '起始标签',
  `end` int(5) NOT NULL COMMENT '结束标签',
  `num` int(11) NOT NULL COMMENT '已打印数量',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='订单打印标签记录';

-- ----------------------------
-- Table structure for ecw_order_location
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_location`;
CREATE TABLE `ecw_order_location` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `order_id` bigint NOT NULL DEFAULT '0' COMMENT '订单id',
  `ware_id` bigint NOT NULL DEFAULT '0' COMMENT '库域id',
  `area_id` bigint NOT NULL DEFAULT '0' COMMENT '库区id',
  `location_id` bigint NOT NULL DEFAULT '0' COMMENT '仓位id',
  `admin_id` bigint NOT NULL DEFAULT '0' COMMENT '最后操作的用户id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='订单仓位表';

-- ----------------------------
-- Table structure for ecw_order_log
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_log`;
CREATE TABLE `ecw_order_log` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `uid` bigint DEFAULT NULL COMMENT '操作人id',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文状态标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文状态标题',
  `content_zh` text COMMENT '中文状态内容',
  `content_en` text COMMENT '英文状态内容',
  `author` varchar(255) DEFAULT NULL COMMENT '操作人用户名',
  `ip` varchar(255) DEFAULT NULL COMMENT 'IP地址',
  `ipregion` varchar(255) DEFAULT NULL COMMENT 'IP地址对应的地区',
  `look` char(5) DEFAULT 'n' COMMENT 'y前后台用户可看；n仅后台用户可看',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid` (`pid`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE
) ENGINE=MyISAM COMMENT='订单操作日志表';

-- ----------------------------
-- Table structure for ecw_order_objective
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_objective`;
CREATE TABLE `ecw_order_objective` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `objective_id` bigint DEFAULT NULL COMMENT '目的地id',
  `objective` text COMMENT '目的地详情',
  `type` char(5) DEFAULT 'a' COMMENT 'a调仓标志；m原始数据，实际的目的地仓库',
  `is_this` char(5) DEFAULT 'n' COMMENT '货到没到这个仓库：n未到；y已到',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid` (`pid`) USING BTREE,
  KEY `objective_id` (`objective_id`) USING BTREE,
  KEY `type` (`type`) USING BTREE,
  KEY `is_this` (`is_this`) USING BTREE
) ENGINE=MyISAM COMMENT='订单目的仓库表';

-- ----------------------------
-- Table structure for ecw_order_price
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_price`;
CREATE TABLE `ecw_order_price` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `price` char(100) DEFAULT NULL,
  `price_unit` varchar(255) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY  (`pid`)
) COMMENT='订单价格表';

-- ----------------------------
-- Table structure for ecw_order_shouhuoren
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_shouhuoren`;
CREATE TABLE `ecw_order_shouhuoren` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `uid` bigint DEFAULT NULL COMMENT '用户id',
  `pid` bigint DEFAULT NULL COMMENT '订单id',
  `sid` bigint DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '收货人名字',
  `phone` varchar(255) DEFAULT NULL COMMENT '电话',
  `email` varchar(255) DEFAULT NULL COMMENT '邮箱',
  `company` varchar(500) DEFAULT NULL COMMENT '公司',
  `address` varchar(255) NOT NULL DEFAULT '' COMMENT '地址',
  `cart_id` bigint NOT NULL DEFAULT '0' COMMENT '购物车id',
  `iso2` varchar(20) DEFAULT '' COMMENT '国家简称',
  `dialCode` smallint(10) NOT NULL DEFAULT '0' COMMENT '国家区号',
  `customer_id` bigint NOT NULL DEFAULT '0' COMMENT '客户id',
  `customer_contacts_id` bigint NOT NULL DEFAULT '0' COMMENT '客户联系人id',
  `data_from` varchar(255) NOT NULL DEFAULT 'admin' COMMENT '联系人信息来自的表',
  `data_from_id` bigint NOT NULL DEFAULT '0' COMMENT '联系人信息来自的表对应id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `uid` (`uid`) USING BTREE,
  KEY `pid` (`pid`) USING BTREE,
  KEY `name` (`name`) USING BTREE,
  KEY `phone` (`phone`) USING BTREE,
  KEY `key_customer_id` (`customer_id`),
  KEY `key_customer_contacts_id` (`customer_contacts_id`)
) COMMENT='订单收货人信息表';

-- ----------------------------
-- Table structure for ecw_order_take_log
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_take_log`;
CREATE TABLE `ecw_order_take_log` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '提货类型 1为全部提货 2为分批提货',
  `order_id` bigint NOT NULL DEFAULT '0' COMMENT '订单id',
  `order_fanghuo_id` bigint NOT NULL DEFAULT '0' COMMENT '订单放货id',
  `order_log_id` bigint NOT NULL DEFAULT '0' COMMENT '对应的订单日志id',
  `user_id` bigint NOT NULL DEFAULT '0' COMMENT '操作用户id',
  `username` varchar(255) NOT NULL DEFAULT '' COMMENT '用户名',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态 0为正常 -1为撤销',
  `take_num` smallint(5) NOT NULL DEFAULT '0' COMMENT '提货数量',
  `cancel_user_id` bigint NOT NULL DEFAULT '0' COMMENT '撤销用户id',
  `cancel_username` varchar(255) NOT NULL DEFAULT '' COMMENT '撤销用户名',
  `cancel_time` datetime DEFAULT NULL COMMENT '撤销时间',
  `sub_clearance_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '清关费小计',
  `sub_ocean_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '海运费小计',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY (`order_id`)
) ENGINE=MyISAM COMMENT='订单提货日志表';

-- ----------------------------
-- Table structure for ecw_order_tidan
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_tidan`;
CREATE TABLE `ecw_order_tidan` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0' COMMENT '订单id',
  `tidan` text COMMENT '提单内容',
  `author` varchar(255) DEFAULT NULL COMMENT '操作人',
  `shenhe` varchar(255) DEFAULT NULL COMMENT '审核人',
  `shenhetime` datetime DEFAULT NULL COMMENT '审核时间',
  `status` int(5) DEFAULT '0' COMMENT '状态',
  `no` varchar(255) DEFAULT NULL,
  `pic_val` blob NOT NULL COMMENT '提单图片base64形式',
  `pic_name` varchar(255) NOT NULL DEFAULT '' COMMENT '提单图片名称',
  `box_id` bigint DEFAULT NULL COMMENT '柜子id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid` (`pid`) USING BTREE,
  KEY `status` (`status`) USING BTREE
) ENGINE=MyISAM COMMENT='提单制作表';

-- ----------------------------
-- Table structure for ecw_order_time
-- ----------------------------
DROP TABLE IF EXISTS `ecw_order_time`;
CREATE TABLE `ecw_order_time` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL,
  `title_zh` varchar(255) DEFAULT NULL,
  `title_en` varchar(255) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`pid`),
  KEY (`create_time`)
) ENGINE=MyISAM COMMENT='下单时间轴事件表';

-- ----------------------------
-- Table structure for ecw_other_approval
-- ----------------------------
DROP TABLE IF EXISTS `ecw_other_approval`;
CREATE TABLE `ecw_other_approval` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `approval_type` int(11) DEFAULT NULL COMMENT '审批类型 1新增产品审批 2产品价格审批 3编辑客户审批 ',
  `approval_type_name` varchar(100) DEFAULT NULL COMMENT '审批类型name',
  `approval_describe` varchar(255) DEFAULT NULL COMMENT '审批描述',
  `approval_content` longtext COMMENT '审批内容',
  `applicant_id` bigint DEFAULT NULL COMMENT '申请人id',
  `applicant_name` varchar(100) DEFAULT NULL COMMENT '申请人name',
  `approval_id` bigint DEFAULT NULL COMMENT '审批人id',
  `approval_name` varchar(100) DEFAULT NULL COMMENT '审批人name',
  `approval_reply` varchar(500) DEFAULT NULL COMMENT '审批回复',
  `approval_status` tinyint(3) DEFAULT NULL COMMENT '状态，1通过并申请复核，2通过，3拒绝',
  `audit_at` datetime DEFAULT NULL COMMENT '审批时间',
  `check_id` bigint DEFAULT NULL COMMENT '复核人id',
  `check_name` varchar(100) DEFAULT NULL COMMENT '复核人name',
  `check_reply` varchar(500) DEFAULT NULL COMMENT '复核回复',
  `price_status` tinyint(3) DEFAULT NULL COMMENT '是否更新价格：1更新，2不更新',
  `approval_content_new` longtext COMMENT '客户更新后数据',
  `offer_id` bigint DEFAULT NULL COMMENT '报价id',
  `customer_id` bigint DEFAULT NULL COMMENT '客户id',
  `notifier_id` bigint DEFAULT NULL COMMENT '通知人id',
  `notifier_name` varchar(100) DEFAULT NULL COMMENT '通知人name',
  `box_id` bigint DEFAULT NULL COMMENT '柜子id',
  `common_id` bigint NOT NULL DEFAULT '0' COMMENT '会员身份证、营业执照表id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='其他审批表';

-- ----------------------------
-- Table structure for ecw_package_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_package_type`;
CREATE TABLE `ecw_package_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name_zh` varchar(100) NOT NULL DEFAULT '',
  `name_en` varchar(100) NOT NULL DEFAULT '',
  `sort` int(11) NOT NULL DEFAULT '0',
  `is_del` tinyint(4) NOT NULL DEFAULT '0',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
);

-- ----------------------------
-- Table structure for ecw_package_unit
-- ----------------------------
DROP TABLE IF EXISTS `ecw_package_unit`;
CREATE TABLE `ecw_package_unit` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '包装单位中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '包装单位中文',
  `is_show` tinyint(3) DEFAULT '1' COMMENT '是否启用',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='包装单位表';

-- ----------------------------
-- Table structure for ecw_payment_detail
-- ----------------------------
DROP TABLE IF EXISTS `ecw_payment_detail`;
CREATE TABLE `ecw_payment_detail` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `pd_po_id` bigint NOT NULL DEFAULT '0' COMMENT '付款单id',
  `pd_order_id` bigint NOT NULL DEFAULT '0' COMMENT '订单id',
  `pd_order_no` varchar(50) NOT NULL COMMENT '订单号',
  `pd_supplier_id` bigint NOT NULL DEFAULT '0' COMMENT '供应商id',
  `pd_supplier_name` varchar(30) NOT NULL DEFAULT '' COMMENT '供应商名称',
  `pd_fee_type` bigint NOT NULL DEFAULT '0' COMMENT '费用类型(配置列表获取)',
  `pd_total_amount` varchar(25) NOT NULL DEFAULT '' COMMENT '金额',
  `pd_currency_id` bigint NOT NULL DEFAULT '0' COMMENT '币别id',
  `pd_remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `pd_exchange_rate` varchar(25) NOT NULL DEFAULT '' COMMENT '汇率',
  `pd_tax_rate` varchar(25) NOT NULL DEFAULT '' COMMENT '税率',
  `pd_total` varchar(25) NOT NULL DEFAULT '' COMMENT '税价合计',
  `pd_state` tinyint(1) NOT NULL DEFAULT '0' COMMENT '收款状态（0未付款，1付款中，2已付款）',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `pd_steps_id` bigint DEFAULT NULL COMMENT '操作步骤',
  `pd_extra_cost` int(10) DEFAULT NULL COMMENT '额外费用',
  `pd_cabinet_id` bigint DEFAULT NULL COMMENT '柜子id',
  `pd_invoice_number` varchar(30) NOT NULL DEFAULT '' COMMENT '发票号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `index_pd_cabinet_id` (`pd_cabinet_id`)
) COMMENT='付款数据表';

-- ----------------------------
-- Table structure for ecw_payment_order
-- ----------------------------
DROP TABLE IF EXISTS `ecw_payment_order`;
CREATE TABLE `ecw_payment_order` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `po_no` varchar(30) NOT NULL DEFAULT '' COMMENT '付款单号',
  `po_department_id` bigint NOT NULL DEFAULT '0' COMMENT '部门Id',
  `po_department_name` varchar(30) NOT NULL DEFAULT '' COMMENT '部门名称',
  `po_admin_id` bigint NOT NULL DEFAULT '0' COMMENT '业务员',
  `po_admin_name` varchar(20) NOT NULL COMMENT '业务员名称',
  `po_supplier_id` bigint NOT NULL DEFAULT '0' COMMENT '供应商id',
  `po_supplier_name` varchar(30) NOT NULL DEFAULT '' COMMENT '供应商名称',
  `po_supplier_bank` varchar(20) NOT NULL DEFAULT '' COMMENT '供应商银行',
  `po_supplier_bank_account` varchar(30) NOT NULL DEFAULT '' COMMENT '供应商银行账号',
  `po_application_at` datetime DEFAULT NULL COMMENT '申请日期',
  `po_latest_pay_at` datetime DEFAULT NULL COMMENT '最迟付款日',
  `po_account_number` varchar(500) NOT NULL DEFAULT '' COMMENT '账单号',
  `po_invoice_status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '发票状态（0未开票，1已开票）',
  `po_invoice_number` varchar(30) NOT NULL DEFAULT '' COMMENT '发票号',
  `po_state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '付款单状态（1待审核，2已审核待核销，3已核销）',
  `po_payment_id` bigint NOT NULL DEFAULT '0' COMMENT '付款单添加人id',
  `po_payment_name` varchar(20) NOT NULL DEFAULT '' COMMENT '付款单添加人名称',
  `po_review_id` bigint NOT NULL DEFAULT '0' COMMENT '审核人id',
  `po_review_name` varchar(20) NOT NULL DEFAULT '' COMMENT '审核人名称',
  `po_write_off_id` bigint NOT NULL DEFAULT '0' COMMENT '核销人id',
  `po_write_off_name` varchar(20) NOT NULL DEFAULT '' COMMENT '核销人名称',
  `po_review_at` datetime DEFAULT NULL COMMENT '审核日期',
  `po_write_off_at` datetime DEFAULT NULL COMMENT '核销日期',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `po_settlement_type` int(11) NOT NULL DEFAULT '0' COMMENT '结算方式',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='付款单';

-- ----------------------------
-- Table structure for ecw_plugin
-- ----------------------------
DROP TABLE IF EXISTS `ecw_plugin`;
CREATE TABLE `ecw_plugin` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` varchar(255) DEFAULT NULL,
  `code` varchar(255) DEFAULT NULL,
  `type` varchar(100) DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='第三方登陆配置表';

-- ----------------------------
-- Table structure for ecw_prescription
-- ----------------------------
DROP TABLE IF EXISTS `ecw_prescription`;
CREATE TABLE `ecw_prescription` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `type` char(50) NOT NULL COMMENT '时效类型：1、大船时效，2、到港时效，3、清关时效',
  `type_name` varchar(255) DEFAULT NULL COMMENT '时效类型名称',
  `start` char(50) NOT NULL DEFAULT '' COMMENT '起点',
  `end` char(50) NOT NULL DEFAULT '' COMMENT '终点',
  `days` varchar(50) NOT NULL COMMENT '天数',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='时效类型表';

-- ----------------------------
-- Table structure for ecw_price_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_price_type`;
CREATE TABLE `ecw_price_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `beizhu` varchar(500) DEFAULT NULL COMMENT '备注',
  `aorder` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `is_show` varchar(50) NOT NULL DEFAULT 'y' COMMENT '是否使用，y显示',
  `code` varchar(50) NOT NULL DEFAULT '' COMMENT '费用对应字段名',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='费用类型表';

-- ----------------------------
-- Table structure for ecw_printer
-- ----------------------------
DROP TABLE IF EXISTS `ecw_printer`;
CREATE TABLE `ecw_printer` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '打印机名称',
  `code` varchar(100) NOT NULL DEFAULT '' COMMENT '打印机串号/识别号',
  `ip` varchar(50) NOT NULL DEFAULT '' COMMENT 'ip地址',
  `port` varchar(10) NOT NULL DEFAULT '' COMMENT '端口',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `is_active` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否激活',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='打印机表';

-- ----------------------------
-- Table structure for ecw_product
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product`;
CREATE TABLE `ecw_product` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '产品类型id',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `addtime` char(50) DEFAULT NULL COMMENT '新增、修改时间',
  `shenhe` char(5) DEFAULT 'n' COMMENT '审核',
  `show` char(5) DEFAULT 'n' COMMENT '上架',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid` (`pid`) USING BTREE,
  KEY `title_zh` (`title_zh`) USING BTREE,
  KEY `title_en` (`title_en`) USING BTREE
) COMMENT='产品表';

-- ----------------------------
-- Table structure for ecw_product_attr
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product_attr`;
CREATE TABLE `ecw_product_attr` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `attr_name` varchar(255) NOT NULL COMMENT '产品属性名称',
  `attr_code` varchar(255) NOT NULL COMMENT '代码',
  `attr_sort` int(11) DEFAULT '255' COMMENT '排序',
  `attr_remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `attr_active` int(11) NOT NULL DEFAULT '1' COMMENT '是否启用 1-是 0-否',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='产品属性表';

-- ----------------------------
-- Table structure for ecw_product_attr_rel
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product_attr_rel`;
CREATE TABLE `ecw_product_attr_rel` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `product_id` bigint NOT NULL COMMENT '产品id',
  `attr_id` bigint NOT NULL COMMENT '属性id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='产品属性关联表';

-- ----------------------------
-- Table structure for ecw_product_brand_empower
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product_brand_empower`;
CREATE TABLE `ecw_product_brand_empower` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `product_brand_id` bigint NOT NULL DEFAULT '0' COMMENT '商品品牌id',
  `customer_id` bigint NOT NULL DEFAULT '0' COMMENT '客户id',
  `customer_contacts_id` bigint NOT NULL DEFAULT '0' COMMENT '客户联系人id',
  `start_time` datetime DEFAULT NULL COMMENT '授权开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '授权结束时间',
  `file_url` varchar(255) NOT NULL DEFAULT '' COMMENT '授权文件URL',
  `fee_scale` tinyint(4) NOT NULL DEFAULT '0' COMMENT '收费标准 0为无牌收费 1为有牌收费',
  `status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '授权状态 0为未授权 1为已授权',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人id',
  `create_username` varchar(255) NOT NULL DEFAULT '' COMMENT '创建人用户名',
  `expire_before_first_msg` tinyint(3) NOT NULL DEFAULT '0' COMMENT '过期前一天站内信 0未发送 1已发送',
  `expire_before_third_msg` tinyint(3) NOT NULL DEFAULT '0' COMMENT '过期前第三天站内信 0未发送 1已发送',
  `expire_after_msg` tinyint(3) NOT NULL DEFAULT '0' COMMENT '过期后站内信 0未发送 1已发送',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `key_product_brand_id` (`product_brand_id`),
  KEY `key_customer_id` (`customer_id`),
  KEY `key_customer_contacts_id` (`customer_contacts_id`)
) COMMENT='商品品牌授权表';

-- ----------------------------
-- Table structure for ecw_product_brank
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product_brank`;
CREATE TABLE `ecw_product_brank` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '品牌中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '品牌英文标题',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `shenhe` char(20) DEFAULT 'n' COMMENT '审核',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `title_zh` (`title_zh`) USING BTREE,
  KEY `title_en` (`title_en`) USING BTREE
)  COMMENT='品牌表';

-- ----------------------------
-- Table structure for ecw_product_price
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product_price`;
CREATE TABLE `ecw_product_price` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '产品id',
  `transport_id` bigint DEFAULT NULL COMMENT '运输方式id',
  `departure_id` bigint DEFAULT NULL COMMENT '始发地id',
  `objective_id` bigint DEFAULT NULL COMMENT '目的地id',
  `hyf` char(100) DEFAULT NULL COMMENT '海运费',
  `hyf_f` char(100) DEFAULT NULL COMMENT '旧海运费',
  `hyffh` char(100) DEFAULT NULL COMMENT '海运费用金额单位',
  `hyffh_f` char(100) DEFAULT NULL COMMENT '旧海运费用金额单位',
  `hyfdw` char(100) DEFAULT NULL COMMENT '海运费体积单位',
  `hyfdw_f` char(100) DEFAULT NULL COMMENT '旧海运费体积单位',
  `qgf` char(100) DEFAULT NULL COMMENT '清关费',
  `qgf_f` char(100) DEFAULT NULL COMMENT '旧清关费',
  `qgffh` char(100) DEFAULT NULL COMMENT '清关费用金额单位',
  `qgffh_f` char(100) DEFAULT NULL COMMENT '旧清关费用金额单位',
  `qgfdw` char(100) DEFAULT NULL COMMENT '清关费体积单位',
  `qgfdw_f` char(100) DEFAULT NULL COMMENT '旧清关费体积单位',
  `addtime` char(50) DEFAULT NULL COMMENT '新增、修改时间',
  `shenhe` char(5) DEFAULT 'y' COMMENT 'y已审核；n未审核；',
  `prepaid` char(5) DEFAULT 's' COMMENT '是否预付:y是；n否；s均可',
  `start_use_time` datetime DEFAULT NULL COMMENT '新启用时间',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid` (`pid`) USING BTREE,
  KEY `transport_id` (`transport_id`) USING BTREE,
  KEY `departure_id` (`departure_id`) USING BTREE,
  KEY `objective_id` (`objective_id`) USING BTREE,
  KEY `shenhe` (`shenhe`) USING BTREE
) COMMENT='产品价格表';

-- ----------------------------
-- Table structure for ecw_product_price_log
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product_price_log`;
CREATE TABLE `ecw_product_price_log` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `product_price_id` bigint NOT NULL DEFAULT '0' COMMENT '商品价格id',
  `ocean_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '海运费',
  `clearance_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '清关费',
  `ocean_fee_unit` bigint NOT NULL DEFAULT '0' COMMENT '海运费单位id',
  `clearance_fee_unit` bigint NOT NULL DEFAULT '0' COMMENT '清关费单位id',
  `ocean_fee_volume_unit` tinyint(4) NOT NULL DEFAULT '0' COMMENT '海运费体积单位',
  `clearance_fee_volume_unit` tinyint(4) NOT NULL DEFAULT '0' COMMENT '清关费体积单位',
  `is_used` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否使用 0为未使用 1为使用',
  `is_prepay` char(5) NOT NULL DEFAULT 's' COMMENT '是否预付 y是，n否，s均可',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `key_product_price_id` (`product_price_id`)
) COMMENT='产品价格记录表';

-- ----------------------------
-- Table structure for ecw_product_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product_type`;
CREATE TABLE `ecw_product_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文名称',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文名称',
  `aorder` int(11) DEFAULT '0' COMMENT '排序值',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='产品类型表';

-- ----------------------------
-- Table structure for ecw_product_unit
-- ----------------------------
DROP TABLE IF EXISTS `ecw_product_unit`;
CREATE TABLE `ecw_product_unit` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `fuhao` char(50) DEFAULT NULL COMMENT '符号',
  `aorder` int(11) DEFAULT NULL COMMENT '排序',
  `is_show` char(5) DEFAULT 'y' COMMENT '是否显示',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='产品单位表';

-- ----------------------------
-- Table structure for ecw_queren
-- ----------------------------
DROP TABLE IF EXISTS `ecw_queren`;
CREATE TABLE `ecw_queren` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `user_id` bigint DEFAULT NULL COMMENT '下单会员id',
  `order_id` bigint DEFAULT NULL COMMENT '订单id',
  `xdgid` bigint DEFAULT NULL COMMENT '下单id',
  `content` text COMMENT '内容',
  `status` int(11) DEFAULT NULL COMMENT '状态',
  `qid` bigint DEFAULT NULL COMMENT '确认人id',
  `qname` varchar(255) DEFAULT NULL COMMENT '确认人名字',
  `qtime` datetime DEFAULT NULL COMMENT '确认时间',
  `beizhu` varchar(255) DEFAULT NULL COMMENT '备注',
  `type` varchar(20) DEFAULT NULL COMMENT '类型',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='待确认表';

-- ----------------------------
-- Table structure for ecw_rate
-- ----------------------------
DROP TABLE IF EXISTS `ecw_rate`;
CREATE TABLE `ecw_rate` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `currency` varchar(100) DEFAULT NULL COMMENT '金额单位中文',
  `code` varchar(100) DEFAULT NULL COMMENT '金额单位英文',
  `refe_price` varchar(100) DEFAULT NULL COMMENT '汇率',
  `unit` varchar(100) DEFAULT NULL COMMENT '中文名称',
  `symbol` varchar(100) DEFAULT NULL COMMENT '英文符号',
  `is_show` varchar(100) DEFAULT NULL COMMENT '是否显示',
  `orders` varchar(11) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='汇率表';

-- ----------------------------
-- Table structure for ecw_rate_log
-- ----------------------------
DROP TABLE IF EXISTS `ecw_rate_log`;
CREATE TABLE `ecw_rate_log` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `content` varchar(255) NOT NULL DEFAULT '' COMMENT '汇率内容',
  `start_time` datetime DEFAULT NULL COMMENT '有效开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '有效结束时间',
  `notice_zh` varchar(255) NOT NULL DEFAULT '' COMMENT '中文提示语',
  `notice_en` varchar(255) NOT NULL DEFAULT '' COMMENT '英文提示语',
  `admin_id` bigint NOT NULL DEFAULT '0' COMMENT '用户id',
  `username` varchar(255) NOT NULL DEFAULT '' COMMENT '用户名',
  `time_country` varchar(255) NOT NULL DEFAULT '' COMMENT '国家名称',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
);

-- ----------------------------
-- Table structure for ecw_region
-- ----------------------------
DROP TABLE IF EXISTS `ecw_region`;
CREATE TABLE `ecw_region` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT '0' COMMENT '上级id',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `number` varchar(255) DEFAULT NULL COMMENT '简称',
  `language` varchar(255) DEFAULT NULL COMMENT '语言',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `show` char(50) DEFAULT 'y' COMMENT '是否显示',
  `type` char(50) DEFAULT '0' COMMENT '类型 0洲 1国家 2省份 3城市',
  `type1` char(50) DEFAULT '0' COMMENT '0进出口；1只进口；2只出口',
  `letter` char(20) DEFAULT NULL COMMENT '国家代表字母',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='地区设置表';

-- ----------------------------
-- Table structure for ecw_send_sms_fail
-- ----------------------------
DROP TABLE IF EXISTS `ecw_send_sms_fail`;
CREATE TABLE `ecw_send_sms_fail` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `phone` varchar(255) NOT NULL DEFAULT '' COMMENT '手机号码',
  `template_code` varchar(255) NOT NULL DEFAULT '' COMMENT '短信模版code',
  `param` varchar(255) NOT NULL DEFAULT '' COMMENT '参数列表',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '失败原因',
  `result` text COMMENT '服务器响应结果',
  `platform` varchar(25) NOT NULL DEFAULT '' COMMENT '短信发送平台来源 backend：旧系统 api：api接口平台',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='短信发送失败记录表';

-- ----------------------------
-- Table structure for ecw_sendmsg_model
-- ----------------------------
DROP TABLE IF EXISTS `ecw_sendmsg_model`;
CREATE TABLE `ecw_sendmsg_model` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `content_zh` varchar(500) DEFAULT NULL COMMENT '短信中文内容',
  `content_en` varchar(500) DEFAULT NULL COMMENT '短信英文内容',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `aliy_no` varchar(255) DEFAULT NULL COMMENT '中文短信模板编号',
  `sms_receiver` enum('YES','NO') NOT NULL DEFAULT 'YES' COMMENT '收货人开关',
  `sms_sender` enum('YES','NO') NOT NULL DEFAULT 'YES' COMMENT '发货人开关',
  `aliy_no_en` varchar(255) DEFAULT NULL COMMENT '英文短信模板编号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='短信模板表';

-- ----------------------------
-- Table structure for ecw_sengemail_model
-- ----------------------------
DROP TABLE IF EXISTS `ecw_sengemail_model`;
CREATE TABLE `ecw_sengemail_model` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(500) DEFAULT NULL COMMENT '英文标题',
  `content_zh` varchar(1000) DEFAULT NULL COMMENT '中文内容',
  `content_en` varchar(2000) DEFAULT NULL COMMENT '英文内容',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='邮箱模板表';

-- ----------------------------
-- Table structure for ecw_settlement_method
-- ----------------------------
DROP TABLE IF EXISTS `ecw_settlement_method`;
CREATE TABLE `ecw_settlement_method` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '结算方式中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '结算方式英文',
  `is_show` tinyint(3) DEFAULT '1' COMMENT '是否启用',
  `sort` tinyint(3) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='结算方式表';

-- ----------------------------
-- Table structure for ecw_ship_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_ship_type`;
CREATE TABLE `ecw_ship_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title_zh` varchar(25) NOT NULL DEFAULT '' COMMENT '中文名称',
  `title_en` varchar(30) NOT NULL DEFAULT '' COMMENT '英文名称',
  `sort` int(11) NOT NULL DEFAULT '99' COMMENT '排序',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否显示，默认显示',
  `source` varchar(10) NOT NULL DEFAULT 'pc' COMMENT '数据来源（pc端，mobile端）',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='收款类型';

-- ----------------------------
-- Table structure for ecw_sms_code
-- ----------------------------
DROP TABLE IF EXISTS `ecw_sms_code`;
CREATE TABLE `ecw_sms_code` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `mobile` char(15) CHARACTER SET utf8 NOT NULL COMMENT '接收短信手机号',
  `code` char(10) NOT NULL DEFAULT '' COMMENT '短信验证码',
  `types` enum('reset','login','reg','delivery','bind_phone','unbind_phone','transfer','control_success','delivery_success','entry_success','loading_success',' arrival_port','customs_clearance') CHARACTER SET utf8 NOT NULL DEFAULT 'reg' COMMENT 'reg-注册，login-短信登录，reset-密码重置(找回密码) , delivery放货,transfer控制权转移,control_success控货成功,delivery_success放货成功,entry_success入仓成功，loading_success装柜成功.arrival_port到港成功,customs_clearance清关成功',
  `type` tinyint(2) unsigned NOT NULL DEFAULT '0' COMMENT '短信模版对应的id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='短信验证码';

-- ----------------------------
-- Table structure for ecw_social_tools
-- ----------------------------
DROP TABLE IF EXISTS `ecw_social_tools`;
CREATE TABLE `ecw_social_tools` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '社交工具中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '社交工具英文',
  `is_show` tinyint(3) DEFAULT '1' COMMENT '是否启用',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='社交工具表';

-- ----------------------------
-- Table structure for ecw_split
-- ----------------------------
DROP TABLE IF EXISTS `ecw_split`;
CREATE TABLE `ecw_split` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `number_id` char(100) DEFAULT '0' COMMENT '要拆的订单id',
  `title_zh` varchar(255) DEFAULT '1' COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `status` int(11) DEFAULT '0' COMMENT '0,在缓存，未提交申请；1已提交申请在审核；2通过；3驳回；4拒绝；5完成拆单',
  `uid` bigint DEFAULT NULL COMMENT '管理员id',
  `author` varchar(255) DEFAULT NULL COMMENT '管理员用户名',
  `sid` bigint DEFAULT NULL COMMENT '审核管理员id',
  `shenhe` varchar(255) DEFAULT NULL COMMENT '审核管理员用户名',
  `shenhetime` datetime DEFAULT NULL COMMENT '审核时间',
  `eid` bigint DEFAULT NULL COMMENT '确认管理员id',
  `end` varchar(255) DEFAULT NULL COMMENT '确认管理员用户名',
  `endtime` datetime DEFAULT NULL COMMENT '确认时间',
  `beizhu` varchar(1000) DEFAULT NULL COMMENT '备注',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='拆单申请表';

-- ----------------------------
-- Table structure for ecw_split_caches
-- ----------------------------
DROP TABLE IF EXISTS `ecw_split_caches`;
CREATE TABLE `ecw_split_caches` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `no` char(100) NOT NULL COMMENT '时间戳列',
  `number` char(50) NOT NULL COMMENT '生成的订单号',
  `parent_number` char(50) DEFAULT '0' COMMENT '父订单号',
  `transport_id` bigint DEFAULT '0' COMMENT '运输id',
  `transport` text COMMENT '运输详情',
  `sfck` bigint DEFAULT NULL COMMENT '始发地',
  `mdck` bigint DEFAULT NULL COMMENT '目的地',
  `uid` bigint DEFAULT NULL COMMENT '管理员id',
  `marks` varchar(255) DEFAULT NULL COMMENT '唛头',
  `kong` char(5) DEFAULT 'n' COMMENT '是的控货：y/n',
  `kong_status` char(5) DEFAULT 'n' COMMENT 'y控货中；n已放完货；s部分控货',
  `dzbg` char(5) DEFAULT 'w' COMMENT 'w我司全代；z自单代报；h混合报关',
  `delivery_date` datetime DEFAULT NULL COMMENT '出仓时间',
  `zxd` varchar(255) DEFAULT NULL,
  `paytype` char(100) DEFAULT NULL COMMENT '是否方式',
  `co` char(100) DEFAULT NULL,
  `rucang_time` datetime DEFAULT NULL COMMENT '入仓时间',
  `status` char(11) DEFAULT '0' COMMENT '-4已缴清退仓费用；-3退仓通过；-2申请退仓；-1取消订单；0已下单未入仓；1已入仓；2已装柜；3已到港；4已卸货；5已入仓',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='拆单订单详情表';

-- ----------------------------
-- Table structure for ecw_split_goods
-- ----------------------------
DROP TABLE IF EXISTS `ecw_split_goods`;
CREATE TABLE `ecw_split_goods` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `xdid` bigint DEFAULT NULL COMMENT '下单id',
  `pid` bigint DEFAULT '0' COMMENT '订单id',
  `uid` bigint DEFAULT '0' COMMENT '谁的货',
  `keys` char(11) DEFAULT '0',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '产品中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '产品英文标题',
  `brank` varchar(255) DEFAULT NULL COMMENT '备案',
  `documents` char(10) DEFAULT 'n' COMMENT '证书',
  `num` char(100) DEFAULT NULL COMMENT '数量',
  `volume` char(100) DEFAULT NULL COMMENT '体积',
  `weight` char(100) DEFAULT NULL COMMENT '重量',
  `alls` char(10) DEFAULT 'y' COMMENT '一次性到货',
  `outs` char(100) DEFAULT '0' COMMENT '是否到齐',
  `hycosts` char(100) DEFAULT '-1' COMMENT '海运费',
  `hymonetary` char(100) DEFAULT NULL COMMENT '海运费体积单位',
  `hyfh` char(100) DEFAULT NULL COMMENT '海运费符号',
  `qgcosts` char(100) DEFAULT '-1' COMMENT '清关费',
  `qgmonetary` char(100) DEFAULT NULL COMMENT '清关费体积单位',
  `qgfh` char(100) DEFAULT NULL COMMENT '清关费符号',
  `status` char(10) DEFAULT '0' COMMENT '状态',
  `type` char(10) DEFAULT '0' COMMENT '0下单货物；1非下单货物',
  `beizhu` text COMMENT '备注',
  `prepaid` char(20) DEFAULT 's' COMMENT '预付、到付',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='拆单货物表';

-- ----------------------------
-- Table structure for ecw_supplier
-- ----------------------------
DROP TABLE IF EXISTS `ecw_supplier`;
CREATE TABLE `ecw_supplier` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `company_zh` varchar(100) NOT NULL COMMENT '公司中文全称',
  `company_en` varchar(255) DEFAULT '' COMMENT '公司英文全称',
  `code` varchar(100) NOT NULL COMMENT '供应商代码',
  `agent_name` varchar(100) DEFAULT NULL COMMENT '代理商名称',
  `tell` varchar(50) DEFAULT NULL COMMENT '公司电话',
  `country` bigint DEFAULT NULL COMMENT '国家',
  `province` bigint DEFAULT NULL COMMENT '省',
  `city` bigint DEFAULT NULL COMMENT '市',
  `area` bigint DEFAULT NULL COMMENT '区',
  `district` varchar(255) DEFAULT NULL COMMENT '国家省市区',
  `adreess_zh` varchar(255) DEFAULT NULL COMMENT '地址',
  `adreess_en` varchar(255) DEFAULT NULL COMMENT '地址英文',
  `type` varchar(20) DEFAULT NULL COMMENT '供应商类别',
  `cooperation_type` tinyint(3) DEFAULT NULL COMMENT '合作类型',
  `license` varchar(255) DEFAULT NULL COMMENT '营业执照',
  `contract` varchar(255) DEFAULT NULL COMMENT '合同',
  `license_number` varchar(50) DEFAULT NULL COMMENT '社会信用统一代码',
  `approver` bigint DEFAULT NULL COMMENT '审批人id',
  `notifier` bigint DEFAULT NULL COMMENT '通知人id',
  `admin_id` bigint DEFAULT NULL COMMENT '管理员id',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `from_no` varchar(100) DEFAULT NULL COMMENT '清关类型标识符号',
  `ba_no` varchar(100) DEFAULT NULL COMMENT '清关类型标识符号',
  `rc_no` varchar(100) DEFAULT NULL COMMENT '清关类型标识符号',
  `tin_no` varchar(100) DEFAULT NULL COMMENT '清关类型标识符号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='供应商表';

-- ----------------------------
-- Table structure for ecw_supplier_bank
-- ----------------------------
DROP TABLE IF EXISTS `ecw_supplier_bank`;
CREATE TABLE `ecw_supplier_bank` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `supplier_id` bigint DEFAULT NULL COMMENT '供应商id',
  `account_name` varchar(100) DEFAULT NULL COMMENT '账户名称',
  `currency` varchar(10) DEFAULT NULL COMMENT '币种',
  `bank_name` varchar(100) NOT NULL COMMENT '银行名称',
  `account` varchar(100) DEFAULT NULL COMMENT '银行账户',
  `status` varchar(255) DEFAULT '1' COMMENT '启用：1 停用：0',
  `account_type` varchar(100) DEFAULT NULL COMMENT '账号类型',
  `bank_code` varchar(100) DEFAULT NULL COMMENT '银行代码',
  `address` varchar(255) DEFAULT NULL COMMENT '地址',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='供应商银行账户表';

-- ----------------------------
-- Table structure for ecw_supplier_contacts
-- ----------------------------
DROP TABLE IF EXISTS `ecw_supplier_contacts`;
CREATE TABLE `ecw_supplier_contacts` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `supplier_id` bigint DEFAULT NULL COMMENT '供应商id',
  `department` varchar(100) DEFAULT NULL COMMENT '联系人属性',
  `position` varchar(100) DEFAULT NULL COMMENT '职位',
  `name` varchar(100) DEFAULT NULL COMMENT '名称',
  `phone` varchar(50) DEFAULT NULL COMMENT '电话',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='供应商联系人表';

-- ----------------------------
-- Table structure for ecw_supplier_type
-- ----------------------------
DROP TABLE IF EXISTS `ecw_supplier_type`;
CREATE TABLE `ecw_supplier_type` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '供应商类别中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '供应商类别英文',
  `is_show` tinyint(3) DEFAULT NULL COMMENT '是否启用',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='供应商类型表';

-- ----------------------------
-- Table structure for ecw_table_log
-- ----------------------------
DROP TABLE IF EXISTS `ecw_table_log`;
CREATE TABLE `ecw_table_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` bigint NOT NULL COMMENT '操作人',
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '标题',
  `crud` smallint(1) NOT NULL COMMENT '操作方法 1、创建(Create);2、更新(Update);3、读取(Retrieve);4、删除(Delete)',
  `table` varchar(50) NOT NULL DEFAULT '' COMMENT '表名',
  `content` text NOT NULL COMMENT '操作内容',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `curd` (`crud`) USING BTREE,
  KEY `table` (`table`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE
) ;

-- ----------------------------
-- Table structure for ecw_tiaocang
-- ----------------------------
DROP TABLE IF EXISTS `ecw_tiaocang`;
CREATE TABLE `ecw_tiaocang` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `order_id` bigint NOT NULL DEFAULT '0' COMMENT '订单id',
  `number` char(200) DEFAULT NULL COMMENT '订单号',
  `tcid` bigint DEFAULT NULL COMMENT '调出仓库id',
  `tccangku` text COMMENT '调出仓库详情',
  `trid` bigint DEFAULT NULL COMMENT '调入仓库id',
  `trcangku` text COMMENT '调入仓库详情',
  `uid` bigint DEFAULT NULL COMMENT '管理员id',
  `uname` char(100) DEFAULT NULL COMMENT '管理员用户名',
  `sid` bigint DEFAULT '0' COMMENT '审核id',
  `sname` char(100) DEFAULT NULL COMMENT '审核用户名',
  `shenhetime` datetime DEFAULT NULL COMMENT '审核时间',
  `status` int(11) DEFAULT '0' COMMENT '状态 0待审核 1已同意  2已出仓 3已拒绝/已到仓',
  `beizhu` varchar(255) DEFAULT NULL COMMENT '备注',
  `logistics_company` varchar(255) NOT NULL DEFAULT '' COMMENT '物流公司',
  `logistics_no` varchar(100) NOT NULL DEFAULT '' COMMENT '物流单号',
  `phone` varchar(50) NOT NULL DEFAULT '' COMMENT '联系电话',
  `delivery_date` datetime DEFAULT NULL COMMENT '出仓日期',
  `arrival_date` datetime DEFAULT NULL COMMENT '到仓日期',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `number` (`number`) USING BTREE
) COMMENT='调仓申请表';

-- ----------------------------
-- Table structure for ecw_todo_order
-- ----------------------------
DROP TABLE IF EXISTS `ecw_todo_order`;
CREATE TABLE `ecw_todo_order` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '待办订单ID',
  `uid` bigint NOT NULL DEFAULT '0' COMMENT '客户ID',
  `pid` bigint NOT NULL DEFAULT '0' COMMENT '订单ID',
  `number` varchar(50) NOT NULL DEFAULT '' COMMENT '订单号',
  `total_num` int(11) NOT NULL DEFAULT '0' COMMENT '总箱数',
  `total_volume` decimal(10,2) DEFAULT '0.00' COMMENT '总体积',
  `total_weight` decimal(10,2) DEFAULT '0.00' COMMENT '总重量',
  `transport_id` bigint NOT NULL DEFAULT '0' COMMENT '运输方式ID',
  `order_state` varchar(10) NOT NULL DEFAULT '' COMMENT '订单状态',
  `todo_type` varchar(10) NOT NULL DEFAULT '' COMMENT '待办类型',
  `todo_state` tinyint(4) NOT NULL DEFAULT '0' COMMENT '待办状态：0待处理，1已处理，2已取消',
  `contents` varchar(255) NOT NULL DEFAULT '' COMMENT '待办内容',
  `marks` varchar(255) NOT NULL DEFAULT '' COMMENT '唛头',
  `kong` char(1) NOT NULL DEFAULT '' COMMENT '是否控货：y是，n否',
  `departure_id` bigint NOT NULL DEFAULT '0' COMMENT '始发地ID',
  `departure_name` varchar(50) DEFAULT '' COMMENT '始发地名称',
  `objective_id` bigint NOT NULL COMMENT '目的地ID',
  `objective_name` varchar(50) NOT NULL DEFAULT '' COMMENT '目的地名称',
  `sender_id` bigint NOT NULL DEFAULT '0' COMMENT '发货人ID',
  `sender_name` varchar(100) NOT NULL DEFAULT '' COMMENT '发货人名称',
  `sender_phone` varchar(30) NOT NULL DEFAULT '' COMMENT '发货人号码',
  `receiver_id` bigint NOT NULL DEFAULT '0' COMMENT '收货人ID',
  `receiver_name` varchar(100) NOT NULL DEFAULT '' COMMENT '收货人名称',
  `receiver_phone` varchar(30) NOT NULL DEFAULT '' COMMENT '收货人号码',
  `handler` varchar(20) NOT NULL DEFAULT '' COMMENT '处理人',
  `handle_time` datetime DEFAULT NULL COMMENT '处理时间',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `pid_index` (`pid`),
  KEY `number_index` (`number`),
  KEY `marks_index` (`marks`)
) COMMENT='待办订单表';

-- ----------------------------
-- Table structure for ecw_transaction_mode
-- ----------------------------
DROP TABLE IF EXISTS `ecw_transaction_mode`;
CREATE TABLE `ecw_transaction_mode` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title_zh` varchar(50) DEFAULT NULL COMMENT '交易方式中文',
  `title_en` varchar(50) DEFAULT NULL COMMENT '交易方式英文',
  `is_show` tinyint(3) DEFAULT '1' COMMENT '是否启用',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='交易方式表';

-- ----------------------------
-- Table structure for ecw_transport
-- ----------------------------
DROP TABLE IF EXISTS `ecw_transport`;
CREATE TABLE `ecw_transport` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `img` varchar(255) DEFAULT NULL COMMENT '图片',
  `title_zh` varchar(255) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(255) DEFAULT NULL COMMENT '英文标题',
  `keywords_zh` varchar(500) DEFAULT NULL COMMENT '中文关键字',
  `keywords_en` varchar(500) DEFAULT NULL COMMENT '英文关键字',
  `description_zh` varchar(500) DEFAULT NULL COMMENT '中文描述',
  `description_en` varchar(500) DEFAULT NULL COMMENT '英文描述',
  `content_zh` text COMMENT '中文内容',
  `content_en` text COMMENT '英文内容',
  `aorder` int(11) DEFAULT '0' COMMENT '排序',
  `type` char(5) DEFAULT 'b' COMMENT '散货b；整柜f；混合s',
  `is_show` char(5) DEFAULT 'y' COMMENT '是的上架、显示',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='运输方式表';

-- ----------------------------
-- Table structure for ecw_tuicang
-- ----------------------------
DROP TABLE IF EXISTS `ecw_tuicang`;
CREATE TABLE `ecw_tuicang` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `number` char(100) DEFAULT NULL COMMENT '订单number',
  `liuyan` text COMMENT '留言',
  `huifu` text COMMENT '回复',
  `uid` bigint DEFAULT NULL COMMENT '申请人id',
  `author` char(100) DEFAULT NULL COMMENT '申请人用户名',
  `status` int(11) DEFAULT '0' COMMENT '0，未审核；1通过；2拒绝',
  `pid` bigint DEFAULT NULL COMMENT '审核人id',
  `shenhe` char(100) DEFAULT NULL COMMENT '审核人用户名',
  `shenhetime` datetime DEFAULT NULL COMMENT '审核时间',
  `warehouse_id` bigint DEFAULT NULL COMMENT '入仓id',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='退仓申请表';

-- ----------------------------
-- Table structure for ecw_user_phone
-- ----------------------------
DROP TABLE IF EXISTS `ecw_user_phone`;
CREATE TABLE `ecw_user_phone` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `uid` bigint NOT NULL COMMENT '用户ID',
  `phone` varchar(255) NOT NULL COMMENT '手机号',
  `iso2` varchar(20) NOT NULL DEFAULT '' COMMENT '国家简称',
  `dialCode` varchar(15) NOT NULL DEFAULT '0' COMMENT '国家区号',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`),
  KEY `uid` (`uid`) USING BTREE COMMENT '用户ID',
  KEY `phone` (`phone`) USING BTREE COMMENT '用户手机号',
  KEY `dialCode, phone` (`dialCode`,`phone`) USING BTREE
) COMMENT='用户关联手机号';

-- ----------------------------
-- Table structure for ecw_warehouse
-- ----------------------------
DROP TABLE IF EXISTS `ecw_warehouse`;
CREATE TABLE `ecw_warehouse` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '网点id',
  `type` char(50) DEFAULT 'w' COMMENT '类型：w仓库；t码头',
  `number` varchar(255) DEFAULT NULL COMMENT '仓库编号',
  `qianzhui` char(10) DEFAULT NULL COMMENT '前缀',
  `title_zh` varchar(500) DEFAULT NULL COMMENT '中文标题',
  `title_en` varchar(500) DEFAULT NULL COMMENT '英文标题',
  `address_zh` varchar(500) DEFAULT NULL COMMENT '中文地址',
  `address_en` varchar(500) DEFAULT NULL COMMENT '英文地址',
  `volume` varchar(255) DEFAULT NULL COMMENT '体积',
  `zhou` int(11) DEFAULT '0' COMMENT '洲',
  `guojia` int(11) DEFAULT '0' COMMENT '国家',
  `sheng` int(11) DEFAULT '0' COMMENT '省',
  `shi` int(11) DEFAULT '0' COMMENT '市',
  `head` varchar(255) DEFAULT NULL COMMENT '仓库负责人',
  `tell` char(50) DEFAULT '0' COMMENT '仓库电话',
  `shuxing` char(50) DEFAULT '0' COMMENT '0进出口；1只进口；2只出口',
  `freight` varchar(255) DEFAULT '0' COMMENT '运输方式',
  `show` char(20) DEFAULT 'y' COMMENT '是否上架、显示',
  `aorder` int(11) DEFAULT NULL COMMENT '排序',
  `beizhu` varchar(500) DEFAULT NULL COMMENT '备注',
  `img` varchar(255) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='仓库、码头表';

-- ----------------------------
-- Table structure for ecw_warehouse_batch
-- ----------------------------
DROP TABLE IF EXISTS `ecw_warehouse_batch`;
CREATE TABLE `ecw_warehouse_batch` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL,
  `ckid` bigint DEFAULT NULL,
  `ysid` bigint DEFAULT NULL,
  `content_zh` varchar(255) DEFAULT NULL,
  `content_en` varchar(500) DEFAULT NULL,
  `md_title` text COMMENT '目的港',
  `sf_title` text COMMENT '始发港',
  `bank` text COMMENT '银行信息',
  `clause` text COMMENT '条款',
  `qianzhui` char(5) DEFAULT NULL,
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='保存上一次批量修改仓库线路';

-- ----------------------------
-- Table structure for ecw_warehouse_mdxg
-- ----------------------------
DROP TABLE IF EXISTS `ecw_warehouse_mdxg`;
CREATE TABLE `ecw_warehouse_mdxg` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '始发地id',
  `ckid` bigint DEFAULT NULL COMMENT '目的地id',
  `ysid` bigint DEFAULT NULL COMMENT '运输方式id',
  `content_zh` varchar(255) DEFAULT NULL COMMENT '中文内容',
  `content_en` varchar(500) DEFAULT NULL COMMENT '英文内容',
  `md_title` text COMMENT '目的港',
  `sf_title` text COMMENT '始发港',
  `bank_info` text COMMENT '银行信息',
  `bank` text COMMENT '银行信息',
  `clause` text COMMENT '条款',
  `qianzhui` varchar(5) DEFAULT NULL COMMENT '前缀',
  `weight_unit` decimal(10,2) NOT NULL DEFAULT '750.00' COMMENT '重货基数',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='相关目的仓库';

-- ----------------------------
-- Table structure for ecw_warehouse_sfxg
-- ----------------------------
DROP TABLE IF EXISTS `ecw_warehouse_sfxg`;
CREATE TABLE `ecw_warehouse_sfxg` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint DEFAULT NULL COMMENT '目的地id',
  `ckid` bigint DEFAULT NULL COMMENT '始发地id',
  `ysid` bigint DEFAULT NULL COMMENT '运输方式id',
  `content_zh` varchar(255) DEFAULT NULL COMMENT '中文内容',
  `content_en` varchar(500) DEFAULT NULL COMMENT '英文内容',
  `md_title` text COMMENT '目的港',
  `sf_title` text COMMENT '始发港',
  `bank` text COMMENT '银行信息',
  `clause` text COMMENT '条款',
  `qianzhui` char(5) DEFAULT NULL COMMENT '前缀',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='相关始发仓库';

-- ----------------------------
-- Table structure for ecw_zhong
-- ----------------------------
DROP TABLE IF EXISTS `ecw_zhong`;
CREATE TABLE `ecw_zhong` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pao_linjie` char(100) DEFAULT NULL COMMENT '泡货临界值',
  `pao_gs` char(100) DEFAULT NULL COMMENT '计算泡货公式值',
  `zhong_linjie` char(100) DEFAULT NULL COMMENT '重货临界值',
  `zhong_gs` char(100) DEFAULT NULL COMMENT '计算重货公式值',
  `ysids` varchar(255) DEFAULT NULL COMMENT '空运运输方式id',
  `ysidsd` varchar(255) DEFAULT NULL COMMENT '海运运输方式id',
  `is_open` char(10) DEFAULT 'on' COMMENT '空运是否开启',
  `admin_id` bigint DEFAULT NULL COMMENT '管理员id',
  `is_opend` char(11) DEFAULT 'on' COMMENT '海运是否开启',
  `creator` varchar(32) NOT NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit DEFAULT false COMMENT '是否删除',
  PRIMARY KEY (`id`),
  KEY (`create_time`)
) COMMENT='重货配置表';
